"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApisResponseDTO = exports.Api = exports.ApiVersion = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class ApiVersion {
    static _OPENAPI_METADATA_FACTORY() {
        return { version: { required: true, type: () => String }, endpoint: { required: true, type: () => String }, method: { required: true, type: () => String }, body: { required: false, type: () => Object } };
    }
}
exports.ApiVersion = ApiVersion;
class Api {
    static _OPENAPI_METADATA_FACTORY() {
        return { name: { required: true, type: () => String }, versions: { required: true, type: () => [require("./apisResponse.dto").ApiVersion] } };
    }
}
exports.Api = Api;
class ApisResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./apisResponse.dto").Api] } };
    }
}
exports.ApisResponseDTO = ApisResponseDTO;
//# sourceMappingURL=apisResponse.dto.js.map