"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ORIENTATION = exports.TOPOLOGY_ITEM_TYPE = exports.TOPOLOGY_TYPE = exports.MULTIPLIER = exports.UNIT_PREFIX = exports.EXPORT_METHOD = exports.TEXT_STYLE_CLASS = exports.TABLE_STYLE_CLASS = exports.BOX_TYPE = exports.METRIC_AGGREGATE = exports.CHART_TYPE = exports.GRAPH_INTERVAL = void 0;
exports.GRAPH_INTERVAL = {
    day: 'day',
    week: 'week',
    month: 'month',
    year: 'year',
};
exports.CHART_TYPE = {
    area: 'area',
    line: 'line',
};
exports.METRIC_AGGREGATE = {
    items: 'items',
    sum: 'sum',
    max: 'max',
    avg: 'avg',
    wavg: 'wavg',
};
exports.BOX_TYPE = {
    FourGraphBox: 'FourGraphBox',
    RegroupedGraphBox: 'RegroupedGraphBox',
    SingleGraphBox: 'SingleGraphBox',
    SingleTimeRangeGraphBox: 'SingleTimeRangeGraphBox',
    MultiGraphBox: 'MultiGraphBox',
    PredictionGraphBox: 'PredictionGraphBox',
    HeatmapBox: 'HeatmapBox',
    StorageHeatmapBox: 'StorageHeatmapBox',
    TableBox: 'TableBox',
    TablePivotBox: 'TablePivotBox',
    TableGroupBox: 'TableGroupBox',
    TableHeaderGroupBox: 'TableHeaderGroupBox',
    TextBox: 'TextBox',
    HtmlTextBox: 'HtmlTextBox',
    DashboardBox: 'DashboardBox',
    SunburstBox: 'SunburstBox',
    TopBox: 'TopBox',
    CapacityTableBox: 'CapacityTableBox',
    TopologyBox: 'TopologyBox',
    TopologyRequestBox: 'TopologyRequestBox',
    PortHealthStatusBox: 'PortHealthStatusBox',
    OverviewBox: 'OverviewBox',
    CustomTopBox: 'CustomTopBox',
    RegroupButtonBox: 'RegroupButtonBox',
    MirrorBox: 'MirrorBox'
};
exports.TABLE_STYLE_CLASS = {
    center: 'center',
    bold: 'bold',
    thermometer: 'thermometer',
    healthStatus: 'healthStatus'
};
exports.TEXT_STYLE_CLASS = {
    h1: 'h1',
    h2: 'h2',
    h3: 'h3',
    h4: 'h4',
    st: 'st'
};
exports.EXPORT_METHOD = {
    GET: 'GET',
    POST: 'POST',
};
exports.UNIT_PREFIX = {
    kilo: 'k',
    kibi: 'Ki',
    mega: 'M',
    mebi: 'Mi',
    giga: 'G',
    gibi: 'Gi',
    tera: 'T',
    tebi: 'Ti',
    peta: 'P',
    pebi: 'Pi',
    exa: 'E',
    exbi: 'Ei',
    zetta: 'Z',
    zebi: 'Zi',
    yotta: 'Y',
    yobi: 'Yi'
};
exports.MULTIPLIER = {
    base10: '1000',
    base2: '1024'
};
exports.TOPOLOGY_TYPE = {
    'switch-storage': 'switch-storage',
    'switch-switch': 'switch-switch',
    'switch-host': 'switch-host',
    'fabric': 'fabric'
};
exports.TOPOLOGY_ITEM_TYPE = {
    'switch': 'switch',
    'storage': 'storage',
    'host': 'host'
};
exports.ORIENTATION = {
    vertical: 'vertical',
    horizontal: 'horizontal'
};
//# sourceMappingURL=pageResponse.constants.js.map