export declare const UNIT: {
    readonly bytes: "bytes";
    readonly bytes_per_second: "bytes_per_second";
    readonly io_per_second: "io_per_second";
    readonly IOPS: "IOPS";
    readonly cpu_core: "cpu_core";
    readonly cpu: "cpu";
    readonly vcpu: "vcpu";
    readonly hertz: "hertz";
    readonly percent: "percent";
    readonly millisecond: "millisecond";
    readonly second: "second";
    readonly quantity: "quantity";
    readonly timestamp: "timestamp";
    readonly crc_errors_per_second: "crc_errors_per_second";
    readonly errors_per_second: "errors_per_second";
    readonly packets: "packets";
    readonly packets_per_second: "packets_per_second";
    readonly status_in_running_or_not_running: "status_in_running_or_not_running";
    readonly count: "count";
    readonly frames: "frames";
    readonly frames_per_second: "frames_per_second";
    readonly bb_credits: "bb_credits";
    readonly crc_errors: "crc_errors";
    readonly link_fail: "link_fail";
    readonly loss_sync: "loss_sync";
    readonly pcs_errors: "pcs_errors";
    readonly enc_out: "enc_out";
    readonly disc_c3: "disc_c3";
    readonly sfp_power_out: "sfp_power_out";
    readonly sfp_power_in: "sfp_power_in";
    readonly phase: "phase";
    readonly net_per_second: "net_per_second";
    readonly compression_factor: "compression_factor";
    readonly slices_per_second: "slices_per_second";
    readonly sources_per_second: "sources_per_second";
    readonly megabytes_per_second: "megabytes_per_second";
    readonly gibibytes: "gibibytes";
    readonly tebibytes: "tebibytes";
    readonly multiples: "multiples";
    readonly rows: "rows";
    readonly sessions: "sessions";
    readonly blocks: "blocks";
    readonly temperature: "temperature";
    readonly unit_per_second: "unit_per_second";
    readonly ratio: "ratio";
    readonly OPS: "OPS";
    readonly watt: "watt";
    readonly transactions_per_sec: "transactions_per_sec";
    readonly days: "days";
    readonly pages_per_second: "pages_per_second";
    readonly blocks_per_second: "blocks_per_second";
    readonly hits_per_second: "hits_per_second";
    readonly misses_per_second: "misses_per_second";
};
export declare const SHORTCUT: {
    readonly bytes: "B";
    readonly bytes_per_second: "B/s";
    readonly io_per_second: "IOPS";
    readonly IOPS: "IOPS";
    readonly cpu_core: "CPU core";
    readonly cpu: "CPU";
    readonly vcpu: "vCPU";
    readonly hertz: "Hz";
    readonly percent: "%";
    readonly millisecond: "ms";
    readonly second: "s";
    readonly quantity: "";
    readonly timestamp: "timestamp";
    readonly crc_errors_per_second: "errors/s";
    readonly errors_per_second: "errors/s";
    readonly packets: "packets";
    readonly packets_per_second: "packets/s";
    readonly status_in_running_or_not_running: "housekeep status";
    readonly count: "";
    readonly frames: "frames";
    readonly frames_per_second: "frames/s";
    readonly bb_credits: "BB credits";
    readonly crc_errors: "CRC errors";
    readonly link_fail: "link failures";
    readonly loss_sync: "synchronization loss";
    readonly pcs_errors: "PCS errors";
    readonly enc_out: "encoding errors";
    readonly disc_c3: "disc C3 frames";
    readonly sfp_power_out: "dBm";
    readonly sfp_power_in: "dBm";
    readonly phase: "phase";
    readonly net_per_second: "net";
    readonly compression_factor: "compression factor";
    readonly slices_per_second: "slices/s";
    readonly sources_per_second: "sources/s";
    readonly multiples: "multiples";
    readonly rows: "rows/s";
    readonly sessions: "sessions";
    readonly blocks: "blocks/s";
    readonly temperature: "° celsius";
    readonly unit_per_second: "units/s";
    readonly ratio: "ratio";
    readonly OPS: "OPS";
    readonly watt: "Watt";
    readonly transactions_per_sec: "transactions/s";
    readonly days: "Day";
    readonly pages_per_second: "pages/s";
    readonly blocks_per_second: "blocks/s";
    readonly hits_per_second: "hits/s";
    readonly misses_per_second: "misses/s";
};
