"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SHORTCUT = exports.UNIT = void 0;
exports.UNIT = {
    bytes: 'bytes',
    bytes_per_second: 'bytes_per_second',
    io_per_second: 'io_per_second',
    IOPS: 'IOPS',
    cpu_core: 'cpu_core',
    cpu: 'cpu',
    vcpu: 'vcpu',
    hertz: 'hertz',
    percent: 'percent',
    millisecond: 'millisecond',
    second: 'second',
    quantity: 'quantity',
    timestamp: 'timestamp',
    crc_errors_per_second: 'crc_errors_per_second',
    errors_per_second: 'errors_per_second',
    packets: 'packets',
    packets_per_second: 'packets_per_second',
    status_in_running_or_not_running: 'status_in_running_or_not_running',
    count: 'count',
    frames: 'frames',
    frames_per_second: 'frames_per_second',
    bb_credits: 'bb_credits',
    crc_errors: 'crc_errors',
    link_fail: 'link_fail',
    loss_sync: 'loss_sync',
    pcs_errors: 'pcs_errors',
    enc_out: 'enc_out',
    disc_c3: 'disc_c3',
    sfp_power_out: 'sfp_power_out',
    sfp_power_in: 'sfp_power_in',
    phase: 'phase',
    net_per_second: 'net_per_second',
    compression_factor: 'compression_factor',
    slices_per_second: 'slices_per_second',
    sources_per_second: 'sources_per_second',
    megabytes_per_second: 'megabytes_per_second',
    gibibytes: 'gibibytes',
    tebibytes: 'tebibytes',
    multiples: 'multiples',
    rows: 'rows',
    sessions: 'sessions',
    blocks: 'blocks',
    temperature: 'temperature',
    unit_per_second: 'unit_per_second',
    ratio: 'ratio',
    OPS: 'OPS',
    watt: 'watt',
    transactions_per_sec: 'transactions_per_sec',
    days: 'days',
    pages_per_second: 'pages_per_second',
    blocks_per_second: 'blocks_per_second',
    hits_per_second: 'hits_per_second',
    misses_per_second: 'misses_per_second',
};
exports.SHORTCUT = {
    [exports.UNIT.bytes]: 'B',
    [exports.UNIT.bytes_per_second]: 'B/s',
    [exports.UNIT.io_per_second]: 'IOPS',
    [exports.UNIT.IOPS]: 'IOPS',
    [exports.UNIT.cpu_core]: 'CPU core',
    [exports.UNIT.cpu]: 'CPU',
    [exports.UNIT.vcpu]: 'vCPU',
    [exports.UNIT.hertz]: 'Hz',
    [exports.UNIT.percent]: '%',
    [exports.UNIT.millisecond]: 'ms',
    [exports.UNIT.second]: 's',
    [exports.UNIT.quantity]: '',
    [exports.UNIT.timestamp]: 'timestamp',
    [exports.UNIT.crc_errors_per_second]: 'errors/s',
    [exports.UNIT.errors_per_second]: 'errors/s',
    [exports.UNIT.packets]: 'packets',
    [exports.UNIT.packets_per_second]: 'packets/s',
    [exports.UNIT.status_in_running_or_not_running]: 'housekeep status',
    [exports.UNIT.count]: '',
    [exports.UNIT.frames]: 'frames',
    [exports.UNIT.frames_per_second]: 'frames/s',
    [exports.UNIT.bb_credits]: 'BB credits',
    [exports.UNIT.crc_errors]: 'CRC errors',
    [exports.UNIT.link_fail]: 'link failures',
    [exports.UNIT.loss_sync]: 'synchronization loss',
    [exports.UNIT.pcs_errors]: 'PCS errors',
    [exports.UNIT.enc_out]: 'encoding errors',
    [exports.UNIT.disc_c3]: 'disc C3 frames',
    [exports.UNIT.sfp_power_out]: 'dBm',
    [exports.UNIT.sfp_power_in]: 'dBm',
    [exports.UNIT.phase]: 'phase',
    [exports.UNIT.net_per_second]: 'net',
    [exports.UNIT.compression_factor]: 'compression factor',
    [exports.UNIT.slices_per_second]: 'slices/s',
    [exports.UNIT.sources_per_second]: 'sources/s',
    [exports.UNIT.multiples]: 'multiples',
    [exports.UNIT.rows]: 'rows/s',
    [exports.UNIT.sessions]: 'sessions',
    [exports.UNIT.blocks]: 'blocks/s',
    [exports.UNIT.temperature]: '° celsius',
    [exports.UNIT.unit_per_second]: 'units/s',
    [exports.UNIT.ratio]: 'ratio',
    [exports.UNIT.OPS]: 'OPS',
    [exports.UNIT.watt]: 'Watt',
    [exports.UNIT.transactions_per_sec]: 'transactions/s',
    [exports.UNIT.days]: 'Day',
    [exports.UNIT.pages_per_second]: 'pages/s',
    [exports.UNIT.blocks_per_second]: 'blocks/s',
    [exports.UNIT.hits_per_second]: 'hits/s',
    [exports.UNIT.misses_per_second]: 'misses/s',
};
//# sourceMappingURL=subsystemMetricsResponse.constants.js.map