"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FabricsResponseDTO = exports.FabricResponseDTO = exports.Fabric = exports.SaveFabric = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class SaveFabric {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String } };
    }
}
exports.SaveFabric = SaveFabric;
class Fabric extends SaveFabric {
    static _OPENAPI_METADATA_FACTORY() {
        return { fabric_id: { required: true, type: () => String } };
    }
}
exports.Fabric = Fabric;
class FabricResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./fabric.dto").Fabric } };
    }
}
exports.FabricResponseDTO = FabricResponseDTO;
class FabricsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./fabric.dto").Fabric] } };
    }
}
exports.FabricsResponseDTO = FabricsResponseDTO;
//# sourceMappingURL=fabric.dto.js.map