"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CephDataDescription = exports.CephPropsOld = exports.CephProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
class CephProps extends deviceProps_1.PortBaseDeviceProps {
    constructor() {
        super(...arguments);
        this.cephs = [];
        this.port = 9823;
    }
}
exports.CephProps = CephProps;
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.ArrayItemType)(hostcfgData_types_1.Node),
    __metadata("design:type", Array)
], CephProps.prototype, "cephs", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(9823),
    __metadata("design:type", Number)
], CephProps.prototype, "port", void 0);
class CephPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.CephPropsOld = CephPropsOld;
exports.CephDataDescription = {
    ...deviceProps_1.PortBaseDeviceDescription,
    port: {
        required: false,
        type: "number",
        default: 9823
    },
    cephs: {
        required: true,
        description: "Array of cephs.",
        type: "format[]",
        format: {
            host: {
                required: false,
                type: "string",
            },
            alias: {
                required: false,
                type: "string",
            }
        }
    },
};
//# sourceMappingURL=ceph.data.js.map