import { BaseDeviceProps, IHostcfgDataDescription, OldDeviceProps } from "./deviceProps";
import { PROTO } from "./hostcfgData.types";
export declare class KubernetesProps extends BaseDeviceProps {
    host: string;
    protocol: PROTO;
    token: string;
    namespacesAvailable: string[];
    namespacesSelected: string[];
    skipContainer: boolean;
}
export declare class KubernetesPropsOld extends OldDeviceProps {
    protocol: PROTO;
    token: string;
    available_namespaces: string[];
    namespaces: string[];
    container: boolean;
}
export declare const KubernetesDataDescription: IHostcfgDataDescription;
