"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MacrosanDataDescription = exports.MacroSANOldProps = exports.MacrosanProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
class MacrosanProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.sps = [];
    }
}
exports.MacrosanProps = MacrosanProps;
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.ArrayItemType)(hostcfgData_types_1.Sp),
    __metadata("design:type", Array)
], MacrosanProps.prototype, "sps", void 0);
class MacroSANOldProps extends deviceProps_1.OldSshDeviceProps {
}
exports.MacroSANOldProps = MacroSANOldProps;
exports.MacrosanDataDescription = {
    ...deviceProps_1.BaseDeviceDescription,
    sps: {
        required: true,
        description: "Array of sps",
        type: "format[]",
        format: {
            host: {
                required: true,
                type: "string",
            },
            sshPort: {
                required: false,
                type: "number",
            },
            sshUsername: {
                required: false,
                type: "string",
            },
            sshPassword: {
                required: false,
                type: "string",
            },
            ftpUsername: {
                required: false,
                type: "string",
            },
            ftpPassword: {
                required: false,
                type: "string",
            },
            ftpPath: {
                required: false,
                type: "string",
            },
        }
    },
};
//# sourceMappingURL=macrosan.data.js.map