import { BaseDeviceProps, IHostcfgDataDescription, OldDeviceProps } from "./deviceProps";
import { PROTO } from "./hostcfgData.types";
export declare class OpenshiftProps extends BaseDeviceProps {
    protocol: PROTO;
    host: string;
    projectsAvailable: string[];
    projectsSelected: string[];
    skipContainer: boolean;
    token: string;
}
export declare class OpenshiftPropsOld extends OldDeviceProps {
    protocol: PROTO;
    token: string;
    available_namespaces: string[];
    namespaces: string[];
    container: boolean;
}
export declare const OpenshiftDataDescription: IHostcfgDataDescription;
