"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OraclevmDataDescription = exports.OraclevmPropsOld = exports.OraclevmProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class OraclevmProps extends deviceProps_1.PortBaseDeviceProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.port = 7002;
        this.username = undefined;
        this.password = undefined;
    }
}
exports.OraclevmProps = OraclevmProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], OraclevmProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(7002),
    __metadata("design:type", Number)
], OraclevmProps.prototype, "port", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], OraclevmProps.prototype, "username", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], OraclevmProps.prototype, "password", void 0);
class OraclevmPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.OraclevmPropsOld = OraclevmPropsOld;
exports.OraclevmDataDescription = {
    ...deviceProps_1.PortBaseDeviceDescription,
    host: {
        required: true,
        type: "string",
    },
    port: {
        required: true,
        type: "number",
        default: 7002
    },
    username: {
        required: true,
        type: "string",
    },
    password: {
        required: true,
        type: "string",
    }
};
//# sourceMappingURL=oraclevm.data.js.map