"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxmoxDataDescription = exports.ProxmoxProps = exports.DomainType = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
var DomainType;
(function (DomainType) {
    DomainType["Linux PAM standard auth"] = "pam";
    DomainType["Proxmox VE auth"] = "pve";
})(DomainType || (exports.DomainType = DomainType = {}));
class ProxmoxProps extends deviceProps_1.VMProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.domain = DomainType["Proxmox VE auth"];
    }
}
exports.ProxmoxProps = ProxmoxProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], ProxmoxProps.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.EnumType)(DomainType),
    (0, hostcfg_metadata_1.DefaultValue)(DomainType["Proxmox VE auth"]),
    __metadata("design:type", String)
], ProxmoxProps.prototype, "domain", void 0);
exports.ProxmoxDataDescription = {
    ...deviceProps_1.VMDescription,
    host: {
        required: true,
        type: "string",
    }
};
//# sourceMappingURL=proxmox.data.js.map