"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VnxDataDescription = exports.VnxPropsOld = exports.VnxProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class VnxProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.spaHost = undefined;
        this.spbHost = undefined;
    }
}
exports.VnxProps = VnxProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], VnxProps.prototype, "spaHost", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], VnxProps.prototype, "spbHost", void 0);
class VnxPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.VnxPropsOld = VnxPropsOld;
exports.VnxDataDescription = {
    ...deviceProps_1.BaseDeviceDescription,
    spaHost: {
        required: true,
        type: "string",
    },
    spbHost: {
        required: false,
        type: "string",
    }
};
//# sourceMappingURL=vnx.data.js.map