"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XenserverDataDescription = exports.XenserverPropsOld = exports.XenserverProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class XenserverProps extends deviceProps_1.AuthBaseProps {
    constructor() {
        super(...arguments);
        this.apiPort = 443;
        this.sshPort = 22;
        this.sshKeyFile = undefined;
    }
}
exports.XenserverProps = XenserverProps;
__decorate([
    (0, hostcfg_metadata_1.DefaultValue)(443),
    __metadata("design:type", Number)
], XenserverProps.prototype, "apiPort", void 0);
__decorate([
    (0, hostcfg_metadata_1.DefaultValue)(22),
    __metadata("design:type", Number)
], XenserverProps.prototype, "sshPort", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], XenserverProps.prototype, "sshKeyFile", void 0);
class XenserverPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.XenserverPropsOld = XenserverPropsOld;
exports.XenserverDataDescription = {
    ...deviceProps_1.AuthBaseDescription,
    apiPort: {
        required: false,
        type: "number",
        default: 443
    },
    sshPort: {
        required: false,
        type: "number",
        default: 22
    },
    sshKeyFile: {
        required: false,
        type: "string",
    }
};
//# sourceMappingURL=xenserver.data.js.map