"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportResultRespnse = exports.ImportResult = exports.LparStorImportAuth = exports.ImportAuth = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class ImportAuth {
    static _OPENAPI_METADATA_FACTORY() {
        return { url: { required: true, type: () => String }, type: { required: true, type: () => String }, username: { required: true, type: () => String }, password: { required: true, type: () => String }, passphrase: { required: true, type: () => String }, fileName: { required: true, type: () => String } };
    }
}
exports.ImportAuth = ImportAuth;
class LparStorImportAuth {
    static _OPENAPI_METADATA_FACTORY() {
        return { lparAuth: { required: false, type: () => require("./import.dto").ImportAuth }, storAuth: { required: false, type: () => require("./import.dto").ImportAuth } };
    }
}
exports.LparStorImportAuth = LparStorImportAuth;
class ImportResult {
    static _OPENAPI_METADATA_FACTORY() {
        return { unsupportedDevices: { required: false, type: () => [require("./hostCfgResponse.dto").HostCfgDTO] }, alreadyExistingConfiguration: { required: false, type: () => [require("./hostCfgResponse.dto").HostCfgDTO] }, insertedDevices: { required: false, type: () => [require("./hostCfgResponse.dto").HostCfgDTO] } };
    }
}
exports.ImportResult = ImportResult;
class ImportResultRespnse extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./import.dto").ImportResult } };
    }
}
exports.ImportResultRespnse = ImportResultRespnse;
//# sourceMappingURL=import.dto.js.map