"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LdapCertificatesResponseDTO = exports.LdapResponseDTO = exports.LdapsResponseDTO = exports.LdapSave = exports.Ldap = exports.LdapGroupsResponse = exports.LdapCertificate = exports.LdapGroup = exports.LdapBase = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class LdapBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { label: { required: true, type: () => String }, url: { required: true, type: () => [String] }, protocol: { required: true, type: () => Object }, base_dn: { required: true, type: () => String }, group_base: { required: false, type: () => String }, group_object_class: { required: true, type: () => String }, group_filter_attribute: { required: true, type: () => String }, group_filter_type: { required: false, type: () => Object }, user_base: { required: false, type: () => String }, user_object_class: { required: true, type: () => String }, user_filter_attribute: { required: true, type: () => String }, user_prefix: { required: false, type: () => String }, user_postfix: { required: false, type: () => String }, required_user_group: { required: false, type: () => String }, full_dn_auth: { required: false, type: () => Boolean }, disabled: { required: false, type: () => Boolean } };
    }
}
exports.LdapBase = LdapBase;
class LdapGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { cn: { required: true, type: () => String }, dn: { required: true, type: () => String }, objectClass: { required: true, type: () => String } };
    }
}
exports.LdapGroup = LdapGroup;
class LdapCertificate {
    static _OPENAPI_METADATA_FACTORY() {
        return { ldap_certificate_id: { required: true, type: () => String }, path: { required: true, type: () => String } };
    }
}
exports.LdapCertificate = LdapCertificate;
class LdapGroupsResponse extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./ldap.dto").LdapGroup] } };
    }
}
exports.LdapGroupsResponse = LdapGroupsResponse;
class Ldap extends LdapBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { ldap_id: { required: true, type: () => String }, groups: { required: true, type: () => [String] } };
    }
}
exports.Ldap = Ldap;
class LdapSave extends LdapBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { login: { required: true, type: () => String }, password: { required: true, type: () => String }, technical: { required: false, type: () => Boolean }, ldap_id: { required: false, type: () => String } };
    }
}
exports.LdapSave = LdapSave;
class LdapsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./ldap.dto").Ldap] } };
    }
}
exports.LdapsResponseDTO = LdapsResponseDTO;
class LdapResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./ldap.dto").Ldap } };
    }
}
exports.LdapResponseDTO = LdapResponseDTO;
class LdapCertificatesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./ldap.dto").LdapCertificate] } };
    }
}
exports.LdapCertificatesResponseDTO = LdapCertificatesResponseDTO;
//# sourceMappingURL=ldap.dto.js.map