import { LOG_TYPE } from '@const/log.constants';
import { BasicResponseDTO } from './basicResponse.dto';
export type LogType = typeof LOG_TYPE[keyof typeof LOG_TYPE];
export declare class LogItem {
    type: LogType;
    label: string;
    file: string;
    url: string;
    path: string;
}
export declare class LogRequest {
    sql?: string;
}
export declare class UILog {
    level: 'warn' | 'error';
    log: {} | string;
}
export declare class LogsResponseDTO extends BasicResponseDTO {
    data: LogItem[];
}
