"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleReportItem = exports.ReportItemOut = exports.SavePlainReportItem = exports.PlainReportItem = exports.ReportItemBase = void 0;
const openapi = require("@nestjs/swagger");
class ReportItemBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { format: { required: false, type: () => Object }, type: { required: false, type: () => Object, nullable: true }, class: { required: false, type: () => String, nullable: true }, hw_type: { required: false, type: () => String, nullable: true }, subsystem: { required: false, type: () => String, nullable: true }, item_group_id: { required: false, type: () => String, nullable: true }, item_index: { required: false, type: () => Number }, custom_group_id: { required: false, type: () => String, nullable: true } };
    }
}
exports.ReportItemBase = ReportItemBase;
class PlainReportItem extends ReportItemBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => Object } };
    }
}
exports.PlainReportItem = PlainReportItem;
class SavePlainReportItem extends ReportItemBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => Object } };
    }
}
exports.SavePlainReportItem = SavePlainReportItem;
class ReportItemOut extends PlainReportItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_id: { required: false, type: () => String } };
    }
}
exports.ReportItemOut = ReportItemOut;
class SingleReportItem extends ReportItemBase {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => Object } };
    }
}
exports.SingleReportItem = SingleReportItem;
//# sourceMappingURL=reportItem.dto.js.map