"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateReportFromTemplateResponseDTO = exports.generateReportFromTemplateRequestDTO = exports.GetReportTemplatesResponseDTO = exports.ReportTemplate = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class ReportTemplate {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_template_id: { required: true, type: () => String }, name: { required: true, type: () => String }, fields_to_fill: { required: true, type: () => [String] } };
    }
}
exports.ReportTemplate = ReportTemplate;
class GetReportTemplatesResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./reportTemplate.dto").ReportTemplate] } };
    }
}
exports.GetReportTemplatesResponseDTO = GetReportTemplatesResponseDTO;
class generateReportFromTemplateRequestDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_template_id: { required: true, type: () => String }, data: { required: false, type: () => Object } };
    }
}
exports.generateReportFromTemplateRequestDTO = generateReportFromTemplateRequestDTO;
class generateReportFromTemplateResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => ({ default_label: { required: true, type: () => String }, report_items: { required: true, type: () => [require("./reportItem.dto").PlainReportItem] } }) } };
    }
}
exports.generateReportFromTemplateResponseDTO = generateReportFromTemplateResponseDTO;
//# sourceMappingURL=reportTemplate.dto.js.map