"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm_1 = require("typeorm");
const dataSource_1 = require("./dataSource");
const typeorm_transactional_1 = require("typeorm-transactional");
const getDataSource = async () => {
    (0, typeorm_transactional_1.initializeTransactionalContext)({ storageDriver: typeorm_transactional_1.StorageDriver.AUTO });
    return (0, typeorm_transactional_1.getDataSourceByName)('default') || (0, typeorm_transactional_1.addTransactionalDataSource)(new typeorm_1.DataSource({
        ...await (0, dataSource_1.databaseConfiguration)(),
        type: 'postgres',
    }));
};
exports.default = getDataSource();
//# sourceMappingURL=migration.config.js.map