"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dump = void 0;
const process_1 = require("process");
const Dump_1 = require("./service/configuration/Dump");
const App_1 = require("./service/configuration/App");
async function dump() {
    const LOGS_PATH = App_1.App.LOGS_PATH;
    const TMP_FILES_PATH = App_1.App.TMP_FILES_PATH;
    const dump = new Dump_1.Dump(true);
    try {
        await dump.generate();
    }
    catch (e) {
        console.error("Failed to generate logs: " + e);
        (0, process_1.exit)(1);
    }
    console.log("\nTar archive with log created at " + TMP_FILES_PATH + "/logs.tar.gz");
    (0, process_1.exit)(0);
}
exports.dump = dump;
dump();
//# sourceMappingURL=dump.js.map