import { Alerting } from './alerting.entity';
import { Class } from './class.entity';
import { HwType } from './hwType.entity';
import { ItemGroup } from './itemGroup.entity';
import { CustomGroup } from './customGroup.entity';
import { User } from './user.entity';
import { AlertingHistory } from './alertingHistory.entity';
import { Group } from './group.entity';
export declare class AlertingGroup {
    alerting_group_id: string;
    label: string;
    _class?: Class;
    class: string;
    _hw_type?: HwType;
    hw_type: string;
    subsystem: string;
    disabled: boolean;
    _item_group?: ItemGroup;
    item_group_id: string;
    _custom_group?: CustomGroup;
    custom_group_id: string;
    user_id: number;
    alerts?: Alerting[];
    created_by?: User;
    _history?: AlertingHistory[];
    group_id: number;
    _group?: Group;
}
