"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DashboardGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const dashboard_entity_1 = require("./dashboard.entity");
const dashboardGraph_entity_1 = require("./dashboardGraph.entity");
let DashboardGroup = class DashboardGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { dashboard_group_id: { required: true, type: () => String }, dashboard_id: { required: true, type: () => String }, dashboard: { required: true, type: () => require("./dashboard.entity").Dashboard }, label: { required: true, type: () => String }, width: { required: true, type: () => Number }, height: { required: true, type: () => Number }, x: { required: true, type: () => Number }, y: { required: true, type: () => Number }, dashboard_graphs: { required: true, type: () => [require("./dashboardGraph.entity").DashboardGraph] } };
    }
};
exports.DashboardGroup = DashboardGroup;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], DashboardGroup.prototype, "dashboard_group_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], DashboardGroup.prototype, "dashboard_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => dashboard_entity_1.Dashboard, (dashboard) => dashboard.dashboard_groups, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'dashboard_id' }),
    __metadata("design:type", dashboard_entity_1.Dashboard)
], DashboardGroup.prototype, "dashboard", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], DashboardGroup.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], DashboardGroup.prototype, "width", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], DashboardGroup.prototype, "height", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], DashboardGroup.prototype, "x", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], DashboardGroup.prototype, "y", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => dashboardGraph_entity_1.DashboardGraph, (dashboard_graph) => dashboard_graph.dashboard_group),
    __metadata("design:type", Array)
], DashboardGroup.prototype, "dashboard_graphs", void 0);
exports.DashboardGroup = DashboardGroup = __decorate([
    (0, typeorm_1.Entity)({ name: 'dashboard_groups', synchronize: false })
], DashboardGroup);
//# sourceMappingURL=dashboardGroup.entity.js.map