"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupLdapGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const ldapGroup_entity_1 = require("./ldapGroup.entity");
const group_entity_1 = require("./group.entity");
let GroupLdapGroup = class GroupLdapGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { group_id: { required: true, type: () => Number }, _group: { required: true, type: () => require("./group.entity").Group }, ldap_id: { required: true, type: () => String }, ldap_group: { required: true, type: () => String }, _ldap_group: { required: true, type: () => require("./ldapGroup.entity").LdapGroup } };
    }
};
exports.GroupLdapGroup = GroupLdapGroup;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], GroupLdapGroup.prototype, "group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => group_entity_1.Group, (group) => group._groupLdapGroups, { cascade: true, onDelete: 'CASCADE', nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: 'group_id' }),
    __metadata("design:type", group_entity_1.Group)
], GroupLdapGroup.prototype, "_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], GroupLdapGroup.prototype, "ldap_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], GroupLdapGroup.prototype, "ldap_group", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => ldapGroup_entity_1.LdapGroup, (ldapGroup) => ldapGroup._groupLdapGroups),
    (0, typeorm_1.JoinColumn)([
        { name: "ldap_id", referencedColumnName: "ldap_id" },
        { name: "ldap_group", referencedColumnName: "ldap_group" }
    ]),
    __metadata("design:type", ldapGroup_entity_1.LdapGroup)
], GroupLdapGroup.prototype, "_ldap_group", void 0);
exports.GroupLdapGroup = GroupLdapGroup = __decorate([
    (0, typeorm_1.Entity)({ name: 'group_ldap_groups', synchronize: false })
], GroupLdapGroup);
//# sourceMappingURL=groupLdapGroup.entity.js.map