"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HealthStatusMirror = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const healthStatusMirrorRel_entity_1 = require("./healthStatusMirrorRel.entity");
const objectItem_entity_1 = require("./objectItem.entity");
let HealthStatusMirror = class HealthStatusMirror {
    static _OPENAPI_METADATA_FACTORY() {
        return { vol_id: { required: true, type: () => String }, hostcfg_id: { required: true, type: () => String }, item_id: { required: true, type: () => String }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date }, _source_rels: { required: false, type: () => [require("./healthStatusMirrorRel.entity").HealthStatusMirrorRel] }, _target_rels: { required: false, type: () => [require("./healthStatusMirrorRel.entity").HealthStatusMirrorRel] }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem } };
    }
};
exports.HealthStatusMirror = HealthStatusMirror;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HealthStatusMirror.prototype, "vol_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HealthStatusMirror.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HealthStatusMirror.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HealthStatusMirror.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HealthStatusMirror.prototype, "updatedAt", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => healthStatusMirrorRel_entity_1.HealthStatusMirrorRel, (hs_m_r) => hs_m_r._sourceMirror),
    __metadata("design:type", Array)
], HealthStatusMirror.prototype, "_source_rels", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => healthStatusMirrorRel_entity_1.HealthStatusMirrorRel, (hs_m_r) => hs_m_r._targetMirror),
    __metadata("design:type", Array)
], HealthStatusMirror.prototype, "_target_rels", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (i) => i._mirrorItems),
    (0, typeorm_1.JoinColumn)({ name: "item_id", referencedColumnName: "item_id" }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], HealthStatusMirror.prototype, "_item", void 0);
exports.HealthStatusMirror = HealthStatusMirror = __decorate([
    (0, typeorm_1.Entity)({ name: 'health_status_mirror', synchronize: false })
], HealthStatusMirror);
//# sourceMappingURL=healthStatusMirror.entity.js.map