"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeatmapTierItem = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const heatmapTier_entity_1 = require("./heatmapTier.entity");
const objectItem_entity_1 = require("./objectItem.entity");
let HeatmapTierItem = class HeatmapTierItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { _heatmap_tier: { required: false, type: () => require("./heatmapTier.entity").HeatmapTier }, heatmap_tier_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String } };
    }
};
exports.HeatmapTierItem = HeatmapTierItem;
__decorate([
    (0, typeorm_1.ManyToOne)(() => heatmapTier_entity_1.HeatmapTier, (heatmap_tier) => heatmap_tier._heatmap_tier_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'heatmap_tier_id' }),
    __metadata("design:type", heatmapTier_entity_1.HeatmapTier)
], HeatmapTierItem.prototype, "_heatmap_tier", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HeatmapTierItem.prototype, "heatmap_tier_id", void 0);
__decorate([
    (0, typeorm_1.OneToOne)((type) => objectItem_entity_1.ObjectItem, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], HeatmapTierItem.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HeatmapTierItem.prototype, "item_id", void 0);
exports.HeatmapTierItem = HeatmapTierItem = __decorate([
    (0, typeorm_1.Entity)({ name: 'heatmap_tier_items', synchronize: false })
], HeatmapTierItem);
//# sourceMappingURL=heatmapTierItem.entity.js.map