"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemProperty = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
let ItemProperty = class ItemProperty {
    static _OPENAPI_METADATA_FACTORY() {
        return { _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, property_name: { required: true, type: () => String }, property_value: { required: true, type: () => String } };
    }
};
exports.ItemProperty = ItemProperty;
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.properties, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], ItemProperty.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemProperty.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemProperty.prototype, "property_name", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ItemProperty.prototype, "property_value", void 0);
exports.ItemProperty = ItemProperty = __decorate([
    (0, typeorm_1.Entity)({ name: 'item_properties', synchronize: false })
], ItemProperty);
//# sourceMappingURL=itemProperty.entity.js.map