import { LdapGroupFilterType, LdapProtocol } from '@xormon/common/ldap.dto';
import { LdapGroup } from './ldapGroup.entity';
import { User } from './user.entity';
export declare class Ldap {
    ldap_id: string;
    label: string;
    full_dn_auth: boolean;
    url: string[];
    protocol: LdapProtocol;
    base_dn: string;
    group_base: string;
    group_object_class: string;
    group_filter_attribute: string;
    group_filter_type: LdapGroupFilterType;
    user_base: string;
    user_object_class: string;
    user_filter_attribute: string;
    user_prefix?: string;
    user_postfix?: string;
    required_user_group: string;
    disabled: boolean;
    readonly createdAt?: Date;
    readonly updatedAt?: Date;
    _groups?: LdapGroup[];
    _users?: User[];
}
