"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LdapGroup = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const ldap_entity_1 = require("./ldap.entity");
const groupLdapGroup_entity_1 = require("./groupLdapGroup.entity");
let LdapGroup = class LdapGroup {
    static _OPENAPI_METADATA_FACTORY() {
        return { _ldap: { required: false, type: () => require("./ldap.entity").Ldap }, ldap_id: { required: true, type: () => String }, ldap_group: { required: true, type: () => String }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date }, _groupLdapGroups: { required: false, type: () => [require("./groupLdapGroup.entity").GroupLdapGroup] } };
    }
};
exports.LdapGroup = LdapGroup;
__decorate([
    (0, typeorm_1.ManyToOne)(() => ldap_entity_1.Ldap, (ldap) => ldap._groups, { onDelete: 'CASCADE', orphanedRowAction: 'delete' }),
    (0, typeorm_1.JoinColumn)({ name: 'ldap_id' }),
    __metadata("design:type", ldap_entity_1.Ldap)
], LdapGroup.prototype, "_ldap", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], LdapGroup.prototype, "ldap_id", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], LdapGroup.prototype, "ldap_group", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], LdapGroup.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], LdapGroup.prototype, "updatedAt", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => groupLdapGroup_entity_1.GroupLdapGroup, (groupLdapGroup) => groupLdapGroup._ldap_group),
    __metadata("design:type", Array)
], LdapGroup.prototype, "_groupLdapGroups", void 0);
exports.LdapGroup = LdapGroup = __decorate([
    (0, typeorm_1.Entity)({ name: 'ldap_groups', synchronize: false })
], LdapGroup);
//# sourceMappingURL=ldapGroup.entity.js.map