"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsApi = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.AwsApi = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_aws_api',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        'Count': {
            type: 'float4',
            nullable: true,
        },
        'Latency': {
            type: 'float4',
            nullable: true,
        },
        '5XXError': {
            type: 'float4',
            nullable: true,
        },
        '4XXError': {
            type: 'float4',
            nullable: true,
        },
        'IntegrationLatency': {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=awsApi.entity.js.map