"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsRds = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.AwsRds = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_aws_rds',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        'CPUUtilization': {
            type: 'float4',
            nullable: true,
        },
        'BurstBalance': {
            type: 'float4',
            nullable: true,
        },
        'DatabaseConnections': {
            type: 'float4',
            nullable: true,
        },
        'DiskQueueDepth': {
            type: 'float4',
            nullable: true,
        },
        'FreeableMemory': {
            type: 'float4',
            nullable: true,
        },
        'FreeStorageSpace': {
            type: 'float4',
            nullable: true,
        },
        'NetworkReceiveThroughput': {
            type: 'float4',
            nullable: true,
        },
        'NetworkTransmitThroughput': {
            type: 'float4',
            nullable: true,
        },
        'ReadIOPS': {
            type: 'float4',
            nullable: true,
        },
        'ReadLatency': {
            type: 'float4',
            nullable: true,
        },
        'ReadThroughput': {
            type: 'float4',
            nullable: true,
        },
        'WriteIOPS': {
            type: 'float4',
            nullable: true,
        },
        'WriteLatency': {
            type: 'float4',
            nullable: true,
        },
        'WriteThroughput': {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=awsRds.entity.js.map