"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CohesityDrive = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let storage = 'cohesity';
let section = 'drive';
let metricNames = [
    'io_rate', 'read_io', 'write_io',
    'data_rate', 'write', 'read',
    'resp_t', 'resp_t_r', 'resp_t_w',
    'utilization',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7'
];
let coreObject = (0, Compose_1.prepareCoreObject)(storage, section, metricNames);
exports.CohesityDrive = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=cohesityDrive.entity.js.map