"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CohesityNode = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let storage = 'cohesity';
let section = 'node';
let metricNames = [
    'cpu_system', 'memory_used_percent',
    'io_rate', 'read_io', 'write_io',
    'data_rate', 'write', 'read',
    'resp_t', 'resp_t_r', 'resp_t_w',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11',
    'tmp12', 'tmp13', 'tmp14', 'tmp15'
];
let coreObject = (0, Compose_1.prepareCoreObject)(storage, section, metricNames);
exports.CohesityNode = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=cohesityNode.entity.js.map