"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Db2Bufferpool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.Db2Bufferpool = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_db2_bufferpool',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        POOLDATAWRITES: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPDATAPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLDATALREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPINDEXPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLXDAPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLINDEXPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLWRITES: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPXDALREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPXDAPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLXDAWRITES: {
            type: 'float4',
            nullable: true,
        },
        POOLINDEXWRITES: {
            type: 'float4',
            nullable: true,
        },
        POOLINDEXLREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLDATAPREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPINDEXLREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLXDALREADS: {
            type: 'float4',
            nullable: true,
        },
        POOLTEMPDATALREADS: {
            type: 'float4',
            nullable: true,
        },
        LOGICALREADS: {
            type: 'float4',
            nullable: true,
        },
        PHYSICALREADS: {
            type: 'float4',
            nullable: true,
        },
        WRITES: {
            type: 'float4',
            nullable: true,
        },
        DIRECTREADS: {
            type: 'float4',
            nullable: true,
        },
        DIRECTWRITES: {
            type: 'float4',
            nullable: true,
        },
        DIRECTREADTIME: {
            type: 'float4',
            nullable: true,
        },
        DIRECTWRITETIME: {
            type: 'float4',
            nullable: true,
        },
        POOLREADTIME: {
            type: 'float4',
            nullable: true,
        },
        POOLWRITETIME: {
            type: 'float4',
            nullable: true,
        },
        RATINLOG: {
            type: 'float4',
            nullable: true,
        },
        RATIOCACHE: {
            type: 'float4',
            nullable: true,
        },
        RATIOBUFFER: {
            type: 'float4',
            nullable: true,
        },
        RATIOCPUT: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=db2Bufferpool.entity.js.map