"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EcsDevice = void 0;
const openapi = require("@nestjs/swagger");
const Compose_1 = require("./Compose");
const columns = [
    'read', 'write', 'data_rate',
    'read_io', 'write_io', 'io_rate',
    'resp_t_r', 'resp_t_w', 'resp_t',
    'capacity_used', 'capacity_free', 'capacity_total', 'capacity_used_percent',
    'tmp0', 'tmp1', 'tmp2', 'tmp3', 'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11', 'tmp12', 'tmp13', 'tmp14', 'tmp15',
];
exports.EcsDevice = (0, Compose_1.getEntitySchema)('ecs', 'device', columns);
//# sourceMappingURL=ecsDevice.entity.js.map