"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GcloudCompute = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.GcloudCompute = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_gcloud_compute',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_util: {
            type: 'float4',
            nullable: true,
        },
        read_bytes: {
            type: 'float4',
            nullable: true,
        },
        write_bytes: {
            type: 'float4',
            nullable: true,
        },
        read_ops: {
            type: 'float4',
            nullable: true,
        },
        write_ops: {
            type: 'float4',
            nullable: true,
        },
        received_bytes: {
            type: 'float4',
            nullable: true,
        },
        sent_bytes: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=gcloudCompute.entity.js.map