"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OvirtVmNic = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.OvirtVmNic = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_ovirt_vm_nic',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        network_received: {
            type: 'float4',
            nullable: true,
        },
        network_transmitted: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=ovirtVmNic.entity.js.map