"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerGenericvirtual = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PowerGenericvirtual = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_power_genericvirtual',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        readBytes: {
            type: 'float4',
            nullable: true,
        },
        writeBytes: {
            type: 'float4',
            nullable: true,
        },
        numOfReads: {
            type: 'float4',
            nullable: true,
        },
        numOfWrites: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=powerGenericvirtual.entity.js.map