"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerPool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PowerPool = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_power_pool',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        mappedIOMemToLpars: {
            type: 'float4',
            nullable: true,
        },
        totalMem: {
            type: 'float4',
            nullable: true,
        },
        totalIOMem: {
            type: 'float4',
            nullable: true,
        },
        assignedMemToLpars: {
            type: 'float4',
            nullable: true,
        },
        assignedMemToSysFirmware: {
            type: 'float4',
            nullable: true,
        },
        configuredProcUnits: {
            type: 'float4',
            nullable: true,
        },
        borrowedProcUnits: {
            type: 'float4',
            nullable: true,
        },
        assignedProcUnits: {
            type: 'float4',
            nullable: true,
        },
        utilizedProcUnits: {
            type: 'float4',
            nullable: true,
        },
        availableProcUnits: {
            type: 'float4',
            nullable: true,
        },
        totalUtilizedProcUnitsPercent: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=powerPool.entity.js.map