"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PowerSharedstoragepool = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PowerSharedstoragepool = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_power_sharedstoragepool',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        readBytes: {
            type: 'float4',
            nullable: true,
        },
        writeBytes: {
            type: 'float4',
            nullable: true,
        },
        numOfReads: {
            type: 'float4',
            nullable: true,
        },
        numOfWrites: {
            type: 'float4',
            nullable: true,
        },
        usedSpace: {
            type: 'float4',
            nullable: true,
        },
        totalSpace: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=powerSharedstoragepool.entity.js.map