"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsCluster = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.WindowsCluster = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_windows_cluster',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_usage: {
            type: 'float4',
            nullable: true,
        },
        avail_m_bytes: {
            type: 'float4',
            nullable: true,
        },
        cache_bytes: {
            type: 'float4',
            nullable: true,
        },
        used_bytes: {
            type: 'float4',
            nullable: true,
        },
        vCPU: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=windowsCluster.entity.js.map