"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceJobStatus = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const microservice_entity_1 = require("./microservice.entity");
const microserviceJob_constants_1 = require("../common/constants/microserviceJob.constants");
const enumsVersion = 'v' + 1;
let MicroserviceJobStatus = class MicroserviceJobStatus {
    static _OPENAPI_METADATA_FACTORY() {
        return { _microservice: { required: false, type: () => require("./microservice.entity").Microservice }, microservice: { required: true, type: () => String }, job: { required: true, type: () => String }, identification: { required: true, type: () => String }, pid: { required: true, type: () => Number }, start: { required: true, type: () => Number }, end: { required: true, type: () => Number }, status: { required: true, type: () => Object } };
    }
};
exports.MicroserviceJobStatus = MicroserviceJobStatus;
__decorate([
    (0, typeorm_1.ManyToOne)(() => microservice_entity_1.Microservice, (microservice) => microservice.jobs_status, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'microservice' }),
    __metadata("design:type", microservice_entity_1.Microservice)
], MicroserviceJobStatus.prototype, "_microservice", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceJobStatus.prototype, "microservice", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceJobStatus.prototype, "job", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], MicroserviceJobStatus.prototype, "identification", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], MicroserviceJobStatus.prototype, "pid", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], MicroserviceJobStatus.prototype, "start", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], MicroserviceJobStatus.prototype, "end", void 0);
__decorate([
    (0, typeorm_1.Column)({
        name: 'status',
        enumName: `status_${enumsVersion}`,
        type: 'enum',
        enum: microserviceJob_constants_1.JOB_STATUS,
        default: microserviceJob_constants_1.JOB_STATUS.unknown,
    }),
    __metadata("design:type", String)
], MicroserviceJobStatus.prototype, "status", void 0);
exports.MicroserviceJobStatus = MicroserviceJobStatus = __decorate([
    (0, typeorm_1.Entity)({ name: 'microservice_job_status', synchronize: false })
], MicroserviceJobStatus);
//# sourceMappingURL=microserviceJobsStatus.entity.js.map