"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportFile = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const report_entity_1 = require("./report.entity");
let ReportFile = class ReportFile {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_file_id: { required: true, type: () => String }, report: { required: false, type: () => require("./report.entity").Report }, report_id: { required: true, type: () => String }, created_at: { required: true, type: () => Date }, file_name: { required: true, type: () => String }, relative_path: { required: true, type: () => String } };
    }
};
exports.ReportFile = ReportFile;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], ReportFile.prototype, "report_file_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => report_entity_1.Report, (report) => report.report_files, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'report_id' }),
    __metadata("design:type", report_entity_1.Report)
], ReportFile.prototype, "report", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], ReportFile.prototype, "report_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], ReportFile.prototype, "created_at", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ReportFile.prototype, "file_name", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ReportFile.prototype, "relative_path", void 0);
exports.ReportFile = ReportFile = __decorate([
    (0, typeorm_1.Entity)({ name: 'report_files', synchronize: false })
], ReportFile);
//# sourceMappingURL=reportFile.entity.js.map