import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { AgentMapping } from '@xormon/entity/agentMapping.entity';
import { User as UserEntity } from '@xormon/entity/user.entity';
import { Observable } from 'rxjs';
import { Repository } from 'typeorm';
export declare class MenuAccessInterceptor implements NestInterceptor {
    private usersRepository;
    private agentMappingRepository;
    constructor(usersRepository: Repository<UserEntity>, agentMappingRepository: Repository<AgentMapping>);
    intercept(context: ExecutionContext, next: CallHandler): Promise<Observable<any>>;
}
