import { HttpStatus } from '@nestjs/common';
import { ConfigurationService } from './configuration.service';
import { Top } from '@xormon/entity/top.entity';
import { Heatmap } from '@xormon/entity/heatmap.entity';
export declare class ProxyController {
    private readonly configurationService;
    constructor(configurationService: ConfigurationService);
    postHeatmaps(heatmapItems: Heatmap[]): Promise<{
        statusCode: HttpStatus;
        message: string;
    }>;
    postTops(topItems: Top[]): Promise<{
        statusCode: HttpStatus;
        message: string;
    }>;
}
