"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleVmCpuMetric1712231162983 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class OracleVmCpuMetric1712231162983 {
    constructor() {
        this.name = 'OracleVmCpuMetric1712231162983';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_vm', 'tmp0', 'cpu_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_server', 'count_cpu', 'cpu_count', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_server', 'count_cores', 'cpu_cores', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_vm', 'cpu_cores', 'tmp0', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_server', 'cpu_count', 'count_cpu', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oraclevm_server', 'cpu_cores', 'count_cores', queryRunner);
    }
}
exports.OracleVmCpuMetric1712231162983 = OracleVmCpuMetric1712231162983;
//# sourceMappingURL=1712231162983-OracleVmCpuMetric.migration.js.map