"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Power_cpu_utilization_to_cpu_physical1714976826000 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class Power_cpu_utilization_to_cpu_physical1714976826000 {
    constructor() {
        this.name = 'Power-rename-cpu-utilization-to-cpu-physica.migration1714976826000';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_utilization_cores', 'cpu_physical_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_utilization_percent', 'cpu_physical_percent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_utilization_cores', 'cpu_physical_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_utilization_percent', 'cpu_physical_percent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'utilizedProcUnitsDeductIdle', 'cpu_utilization_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'utilizedProcUnitsDeductIdlePercent', 'cpu_utilization_percent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'utilizedProcUnitsDeductIdle', 'cpu_utilization_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'utilizedProcUnitsDeductIdlePercent', 'cpu_utilization_percent', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_utilization_percent', 'utilizedProcUnitsDeductIdlePercent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_utilization_cores', 'utilizedProcUnitsDeductIdle', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_utilization_percent', 'utilizedProcUnitsDeductIdlePercent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_utilization_cores', 'utilizedProcUnitsDeductIdle', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_physical_percent', 'cpu_utilization_percent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_vm', 'cpu_physical_cores', 'cpu_utilization_cores', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_physical_percent', 'cpu_utilization_percent', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_power_server', 'cpu_physical_cores', 'cpu_utilization_cores', queryRunner);
    }
}
exports.Power_cpu_utilization_to_cpu_physical1714976826000 = Power_cpu_utilization_to_cpu_physical1714976826000;
//# sourceMappingURL=1714976826000-power-rename-cpu-utilization-to-cpu-physical.migration.js.map