"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RetentionsDefaults1722512000000 = void 0;
class RetentionsDefaults1722512000000 {
    constructor() {
        this.name = 'RetentionsDefaults1722512000000';
    }
    async up(queryRunner) {
        await queryRunner.query(`DELETE FROM public.settings WHERE key in ('GLOB_DATA_RETENTION', 'GLOB_REMOVE_FROM_MENU')`);
        await queryRunner.query(`INSERT INTO public.settings (key, value) VALUES ('GLOB_DATA_RETENTION', 365), ('GLOB_REMOVE_FROM_MENU', 30)`);
    }
    async down(queryRunner) {
        await queryRunner.query(`DELETE FROM public.settings WHERE key in ('GLOB_DATA_RETENTION', 'GLOB_REMOVE_FROM_MENU')`);
    }
}
exports.RetentionsDefaults1722512000000 = RetentionsDefaults1722512000000;
//# sourceMappingURL=1722512000000-RetentionsDefaults.migration.js.map