"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lorenzoDeviceRedo1723198137489 = void 0;
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
class lorenzoDeviceRedo1723198137489 {
    constructor() {
        this.name = 'lorenzoDeviceRedo1723198137489';
    }
    async up(queryRunner) {
        const devices = await queryRunner.manager.getRepository(hostcfg_entity_1.HostCfg).find();
        const devicesToUpdate = devices.filter(d => d.data.device && d.data.device === "IBM_FS_5K_7K_9K");
        console.log(devicesToUpdate);
        await queryRunner.manager.getRepository(hostcfg_entity_1.HostCfg).save(devicesToUpdate.map(d => { return { ...d, data: { ...d.data, device: "IBM__FS_5K_7K_9K" } }; }));
    }
    async down(queryRunner) {
    }
}
exports.lorenzoDeviceRedo1723198137489 = lorenzoDeviceRedo1723198137489;
//# sourceMappingURL=1723198137489-lorenzoDeviceRedo.migration.js.map