"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteOldTagEntities1726039151438 = void 0;
class DeleteOldTagEntities1726039151438 {
    constructor() {
        this.name = 'DeleteOldTagEntities1726039151438';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      DROP TABLE IF EXISTS public.tag_items_legacy;
    `);
        await queryRunner.query(`
      DROP TABLE IF EXISTS public.tags_legacy;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
    CREATE TABLE public.tags_legacy (
      tag_id uuid DEFAULT uuid_generate_v4() NOT NULL,
      tag varchar NOT NULL,
      user_id int4 NULL,
      created_at timestamp DEFAULT now() NOT NULL,
      updated_at timestamp DEFAULT now() NOT NULL,
      CONSTRAINT "PK_6887dab573e0d1bd19970d1ab2a" PRIMARY KEY (tag_id)
    );
    CREATE UNIQUE INDEX "IDX_aa39c3018a5edc4860f4e15a8a" ON public.tags_legacy USING btree (tag);
    ALTER TABLE public.tags_legacy ADD CONSTRAINT "FK_625790dd0d06170b2a0053ab640" FOREIGN KEY (user_id) REFERENCES public.users(user_id) ON DELETE CASCADE;
    `);
        await queryRunner.query(`
    CREATE TABLE public.tag_items_legacy (
      item_id varchar NOT NULL,
      tag_id uuid NOT NULL,
      created_at timestamp DEFAULT now() NOT NULL,
      CONSTRAINT "PK_c38a622488f7ee92807da23fee1" PRIMARY KEY (item_id, tag_id)
    );
    ALTER TABLE public.tag_items_legacy ADD CONSTRAINT "FK_ca9832c04ea124b10a46efcb42f" FOREIGN KEY (tag_id) REFERENCES public.tags_legacy(tag_id) ON DELETE CASCADE;
    ALTER TABLE public.tag_items_legacy ADD CONSTRAINT "FK_f86168898fa238be9f4cebee318" FOREIGN KEY (item_id) REFERENCES public.object_items(item_id) ON DELETE CASCADE;


    `);
    }
}
exports.DeleteOldTagEntities1726039151438 = DeleteOldTagEntities1726039151438;
//# sourceMappingURL=1726039151438-DeleteOldTagEntities.migration.js.map