"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinuxSanTotalMetrics1728899236982 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class LinuxSanTotalMetrics1728899236982 {
    constructor() {
        this.name = 'LinuxSanTotalMetrics1728899236982';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_server', 'tmp6', 'san_received_bytes', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_server', 'tmp7', 'san_send_bytes', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_server', 'san_received_bytes', 'tmp6', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_linux_server', 'san_send_bytes', 'tmp7', queryRunner);
    }
}
exports.LinuxSanTotalMetrics1728899236982 = LinuxSanTotalMetrics1728899236982;
//# sourceMappingURL=1728899236982-LinuxSanTotalMetrics.migration.js.map