import { Alias } from '@xormon/common/alias.dto';
import { Item } from "@xormon/common/architecture.dto";
import { ObjectItem } from "@xormon/entity/objectItem.entity";
import { Repository } from "typeorm";
export declare class AliasService {
    private objectItemRepository;
    constructor(objectItemRepository: Repository<ObjectItem>);
    getItemsWithAlias(): Promise<Array<Item & {
        alias: string;
    }>>;
    saveAliases(aliases: Alias[]): Promise<void>;
    deleteAlias(itemId: string): Promise<boolean>;
    deleteAliases(): Promise<boolean>;
}
