"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audit = void 0;
const dataSource_1 = require("../../config/dataSource");
const audit_entity_1 = require("../../entity/audit.entity");
const User_1 = require("../users/User");
class Audit {
    static async log(request, event, affected, user_id) {
        (0, dataSource_1.getDataSource)().getRepository(audit_entity_1.Audit).save({
            user_id: user_id ? user_id : (await User_1.User.getUserByRequest(request)).user_id,
            event: event,
            affected: affected ? affected : undefined,
            ip: request.ip.startsWith("::ffff:") ? request.ip.replace("::ffff:", "") : request.ip
        });
    }
}
exports.Audit = Audit;
//# sourceMappingURL=Audit.js.map