import { MenuGroupSubsystems } from "@xormon/common/menuGroup.dto";
import { ObjectItem } from "@xormon/entity/objectItem.entity";
import { Repository } from "typeorm";
export declare class MenuGroupService {
    private objectItemsRepository;
    constructor(objectItemsRepository: Repository<ObjectItem>);
    hw_type: string;
    getMenuGroup(itemId: string): Promise<ObjectItem>;
    getMenugroups(type: MenuGroupSubsystems): Promise<ObjectItem[]>;
    saveMenuGroups(menuGroup: Partial<ObjectItem>): Promise<ObjectItem>;
    deleteMenuGroup(itemId: string): Promise<boolean>;
}
