import { OnModuleInit } from '@nestjs/common';
import { OnGatewayConnection, OnGatewayDisconnect, OnGatewayInit, WsResponse } from '@nestjs/websockets';
import { WebsocketBody } from '@xormon/common/websocketMessage.dto';
import { Server } from 'socket.io';
export declare class ReloadGateway implements OnGatewayConnection, OnGatewayDisconnect, OnGatewayInit, OnModuleInit {
    constructor();
    private TOKEN_KEY;
    server: Server;
    private wsClients;
    afterInit(): void;
    onModuleInit(): Promise<void>;
    handleWebsocketMessageEvent(payload: WebsocketBody): void;
    handleLogoutEvent(token: string): void;
    handleConnection(client: any, data: any): void;
    handleDisconnect(client: any): void;
    private broadcast;
    handleEvent(data: unknown): WsResponse<unknown>;
}
