import { ExportFormat } from "@xormon/common/exporter.dto";
import { Response } from 'express';
import { ExporterTimeseriesData, StartEnd } from "./Exporter";
export declare class ExporterFormatter {
    private metrics;
    private data;
    private start;
    private end;
    constructor(data: ExporterTimeseriesData);
    setStartEnd(data: StartEnd): void;
    private formatNumber;
    exportTimeseriesToResponse(format: ExportFormat, res: Response): Promise<void>;
    exportTimeseriesToFile(format: ExportFormat, file: string): Promise<void>;
}
