import { CountDTO, HealthStatusSeverityDTO, HostcfgStatusDTO } from '@xormon/common/healthStatus.dto';
import { Request } from 'express';
import { HealthStatusService } from './healthStatus.service';
export declare class HealthStatusController {
    private readonly healthStatusService;
    constructor(healthStatusService: HealthStatusService);
    getHealthStatusCount(request: Request): Promise<CountDTO>;
    getHealthStatusHostsCfg(): Promise<HealthStatusSeverityDTO>;
    getHealthStatusSpecificSeverity(severity?: string): Promise<HealthStatusSeverityDTO>;
    getDataStatus(request: Request, type: "data" | "connection"): Promise<HostcfgStatusDTO>;
}
