"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeatmapModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const heatmap_entity_1 = require("../../entity/heatmap.entity");
const heatmapTier_entity_1 = require("../../entity/heatmapTier.entity");
const heatmapTierItem_entity_1 = require("../../entity/heatmapTierItem.entity");
const itemRelation_entity_1 = require("../../entity/itemRelation.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const heatmap_controller_1 = require("./heatmap.controller");
const heatmap_service_1 = require("./heatmap.service");
let HeatmapModule = class HeatmapModule {
};
exports.HeatmapModule = HeatmapModule;
exports.HeatmapModule = HeatmapModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([heatmap_entity_1.Heatmap, heatmapTier_entity_1.HeatmapTier, heatmapTierItem_entity_1.HeatmapTierItem, objectItem_entity_1.ObjectItem, itemRelation_entity_1.ItemRelation])],
        controllers: [heatmap_controller_1.HeatmapController],
        providers: [heatmap_service_1.HeatmapService],
        exports: [],
    })
], HeatmapModule);
//# sourceMappingURL=heatmap.module.js.map