import { LogItem } from '@xormon/common/log.dto';
import { Microservice } from '@xormon/entity/microservice.entity';
import { Repository } from 'typeorm';
export declare class LogService {
    private microservicesRepository;
    constructor(microservicesRepository: Repository<Microservice>);
    listLogs(): Promise<LogItem[]>;
    openLog(file: string, lines?: number): Promise<string>;
}
