"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const itemProperty_entity_1 = require("../../entity/itemProperty.entity");
const itemRelation_entity_1 = require("../../entity/itemRelation.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const agentMapping_entity_1 = require("../../entity/agentMapping.entity");
const storageGroup_entity_1 = require("../../entity/storageGroup.entity");
const storageGroupDevice_entity_1 = require("../../entity/storageGroupDevice.entity");
const storageGroupRegex_entity_1 = require("../../entity/storageGroupRegex.entity");
const subsystem_entity_1 = require("../../entity/subsystem.entity");
const user_entity_1 = require("../../entity/user.entity");
const storage_group_module_1 = require("../storage_group/storage_group.module");
const menu_controller_1 = require("./menu.controller");
const menu_service_1 = require("./menu.service");
const serverGroup_entity_1 = require("../../entity/serverGroup.entity");
const serverGroupItems_entity_1 = require("../../entity/serverGroupItems.entity");
const serverGroup_service_1 = require("../server_group/serverGroup.service");
let MenuModule = class MenuModule {
};
exports.MenuModule = MenuModule;
exports.MenuModule = MenuModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({ isGlobal: true }),
            typeorm_1.TypeOrmModule.forFeature([
                objectItem_entity_1.ObjectItem,
                itemProperty_entity_1.ItemProperty,
                itemRelation_entity_1.ItemRelation,
                hwType_entity_1.HwType,
                hostcfg_entity_1.HostCfg,
                subsystem_entity_1.Subsystem,
                agentMapping_entity_1.AgentMapping,
                serverGroup_entity_1.ServerGroup,
                serverGroupItems_entity_1.ServerGroupItems,
                storageGroup_entity_1.StorageGroup,
                storageGroupDevice_entity_1.StorageGroupDevice,
                storageGroupRegex_entity_1.StorageGroupRegex,
                user_entity_1.User,
            ]),
            storage_group_module_1.StorageGroupModule,
        ],
        controllers: [menu_controller_1.MenuController],
        providers: [menu_service_1.MenuService, serverGroup_service_1.ServerGroupService],
        exports: [typeorm_1.TypeOrmModule, menu_service_1.MenuService],
    })
], MenuModule);
//# sourceMappingURL=menu.module.js.map