import { ObjectItem } from '@xormon/entity/objectItem.entity';
import { User } from '@xormon/entity/user.entity';
interface IWithoutURL {
    [hw_type: string]: {
        [subsystem: string]: boolean;
    };
}
export declare class URL {
    private objectItemsRepository;
    private static transformed;
    private static metricTransformed;
    static withoutUrl: IWithoutURL;
    static groupHwTypes: {
        lancisco: boolean;
        lanothers: boolean;
    };
    static checkTransform(hwType: string, pageType: string, metric?: string): string;
    static generate(hw_type: string, pageType: string, item_id?: string, metric?: string, tab?: string): string;
    generateFromUUID(item_id: string): Promise<string>;
    generateFromObject(item: ObjectItem, metric?: string, path?: string, user?: User, children?: ObjectItem): string;
}
export {};
