"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublicModule = void 0;
const common_1 = require("@nestjs/common");
const architecture_public_module_1 = require("./architecture/architecture.public.module");
const exporter_public_module_1 = require("./exporter/exporter.public.module");
const healthStatus_public_module_1 = require("./health_status/healthStatus.public.module");
const public_controller_1 = require("./public.controller");
const reporter_public_module_1 = require("./reporter/reporter.public.module");
const hostcfg_public_module_1 = require("./hostcfg/hostcfg.public.module");
let PublicModule = class PublicModule {
};
exports.PublicModule = PublicModule;
exports.PublicModule = PublicModule = __decorate([
    (0, common_1.Module)({
        imports: [
            architecture_public_module_1.ArchitecturePublicModule,
            exporter_public_module_1.ExporterPublicModule,
            reporter_public_module_1.ReporterPublicModule,
            healthStatus_public_module_1.HealthStatusPublicModule,
            hostcfg_public_module_1.HostcfgPublicModule
        ],
        controllers: [
            public_controller_1.PublicController
        ],
        providers: [],
        exports: [],
    })
], PublicModule);
//# sourceMappingURL=public.module.js.map