import { PlainReportItem } from "@xormon/common/reportItem.dto";
import { ReportTemplate } from "@xormon/common/reportTemplate.dto";
export declare class ReportTemplateService {
    private static OverviewReportTemplate;
    private static SomeFutureReportTemplate;
    private static reportTemplates;
    getReportTemplates(): Promise<ReportTemplate[]>;
    getReportTemplateById(reportTemplateId: string): Promise<ReportTemplate>;
    checkData(data: any, reportTemplate: ReportTemplate): string | null;
    makeDefaultReportLabel(reportTemplate: ReportTemplate, data: any): Promise<string>;
    makeReportItems(reportTemplate: ReportTemplate, data: any): Promise<PlainReportItem[]>;
}
