export declare class TaskMonitor {
    private task;
    private label?;
    private logLabel;
    private started;
    private namespace;
    private workerStarted;
    constructor(task: string, label?: string, logLabel?: string);
    start(): void;
    setTask(task: string): void;
    setLabel(label: string): void;
    getWorkerStarted(): boolean;
    end(): void;
    log(text: string): void;
    private valid;
    private saveArchitecture;
    private savePerformance;
    static checkInternalMonitoringTable(): Promise<void>;
}
