import { OnApplicationShutdown, OnModuleInit } from '@nestjs/common';
import { Export as ExporterEntity } from '@xormon/entity/export.entity';
import { MailGroup } from '@xormon/entity/mailGroup.entity';
import { MailService } from '@xormon/mail/mail.service';
import { Repository } from 'typeorm';
export declare class ExporterTask implements OnModuleInit, OnApplicationShutdown {
    private exporterRepository;
    private mailGroupRepository;
    private mailService;
    private EXPORT_PATH;
    private winstonLogger;
    constructor(exporterRepository: Repository<ExporterEntity>, mailGroupRepository: Repository<MailGroup>, mailService: MailService);
    onModuleInit(): void;
    onApplicationShutdown(signal?: string): void;
    exporter(): Promise<void>;
    getMails(mailGroupIds: string[]): Promise<string[]>;
}
