import { OnApplicationShutdown } from '@nestjs/common';
import { HostCfg } from '@xormon/entity/hostcfg.entity';
import { MicroserviceJobStatus } from '@xormon/entity/microserviceJobsStatus.entity';
import { Repository } from 'typeorm';
export declare class StuckJobTask implements OnApplicationShutdown {
    private microserviceJobStatusRepository;
    private hostcfgRepository;
    private logger;
    private winstonLogger;
    private MINUTES_5;
    constructor(microserviceJobStatusRepository: Repository<MicroserviceJobStatus>, hostcfgRepository: Repository<HostCfg>);
    onApplicationShutdown(signal?: string): void;
    checkDeadTasks(): Promise<void>;
    killStuckDaemonProcesses(): Promise<void>;
    checkNullStartTasks(): Promise<void>;
}
