import { OnModuleInit } from '@nestjs/common';
import { Report as ReportEntity } from '@xormon/entity/report.entity';
import { ReportFile } from '@xormon/entity/reportFile.entity';
import { MailService } from '@xormon/mail/mail.service';
import { Repository } from 'typeorm';
export declare class ReporterTask implements OnModuleInit {
    private reportRepository;
    private reportFileRepository;
    private mailService;
    private winstonLogger;
    constructor(reportRepository: Repository<ReportEntity>, reportFileRepository: Repository<ReportFile>, mailService: MailService);
    onModuleInit(): Promise<any>;
    private extractEmails;
    private updateReportLastRunAt;
    private getReports;
    private makeRule;
    exporter(): Promise<void>;
}
