export declare class BasicResponseDTO {
    statusCode?: number;
    message?: string;
    error?: string;
    data?: any;
}
export declare class ArrayResponseDTO extends BasicResponseDTO {
    data: Array<string>;
}
export declare class ArrayOfObjectResponseDTO extends BasicResponseDTO {
    data: any[];
}
export declare class TextResponseDTO extends BasicResponseDTO {
    data: string;
}
