export declare const REPORT_ITEM_FORMAT: {
    readonly graph: "graph";
    readonly table: "table";
    readonly text: "text";
    readonly predefined: "predefined";
};
export declare const REPORT_ITEM_TYPE: {
    readonly metric: "metric";
    readonly mapping: "mapping";
    readonly overview: "overview";
    readonly custom_group: "custom_group";
    readonly configuration: "configuration";
    readonly health_status: "health_status";
    readonly top: "top";
    readonly text: "text";
    readonly box: "box";
};
export declare const TOP_INTERVAL: {
    readonly day: "day";
    readonly week: "week";
    readonly month: "month";
    readonly year: "year";
};
export declare const TOP_ORDER_BY_FIELD: {
    readonly avg: "avg";
    readonly max: "max";
};
export declare const METRIC_VALUE_TYPE_FIELD: {
    readonly avg: "avg";
    readonly max: "max";
    readonly latest: "latest";
};
export type ReportItemFormat = typeof REPORT_ITEM_FORMAT[keyof typeof REPORT_ITEM_FORMAT];
export type ReportItemType = typeof REPORT_ITEM_TYPE[keyof typeof REPORT_ITEM_TYPE];
export type TopInterval = typeof TOP_INTERVAL[keyof typeof TOP_INTERVAL];
export type TopOrderByField = typeof TOP_ORDER_BY_FIELD[keyof typeof TOP_ORDER_BY_FIELD];
export type MetricValueTypeField = typeof METRIC_VALUE_TYPE_FIELD[keyof typeof METRIC_VALUE_TYPE_FIELD];
