"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskTypes = exports.TaskStatus = exports.WORKER_LIMIT = exports.WORKER_POLL_INTERVAL = void 0;
exports.WORKER_POLL_INTERVAL = 3 * 1000;
exports.WORKER_LIMIT = 4;
var TaskStatus;
(function (TaskStatus) {
    TaskStatus["PENDING"] = "pending";
    TaskStatus["ERRORED"] = "errored";
    TaskStatus["RUNNING"] = "running";
    TaskStatus["PAUSED"] = "paused";
})(TaskStatus || (exports.TaskStatus = TaskStatus = {}));
var TaskTypes;
(function (TaskTypes) {
    TaskTypes["HEALT_STATUS"] = "health_status";
    TaskTypes["HEATMAP_STOR"] = "heatmap_stor";
    TaskTypes["HEATMAP_SAN"] = "heatmap_san";
    TaskTypes["HEATMAP_LAN"] = "heatmap_lan";
    TaskTypes["HEATMAP_VIRTUALIZATION"] = "heatmap_virtualization";
    TaskTypes["HEATMAP_CAPACITY"] = "heatmap_capacity";
    TaskTypes["TOP"] = "top";
    TaskTypes["CLEANUP"] = "cleanup";
    TaskTypes["ALERTS"] = "alerts";
    TaskTypes["HW_ALERTS"] = "hw_alerts";
    TaskTypes["HS_HISTORY_CLOSE"] = "hs_history_close";
    TaskTypes["EXPORTER"] = "exporter";
    TaskTypes["REPORTER"] = "reporter";
    TaskTypes["MONITORING"] = "monitoring";
    TaskTypes["MONITORING_HANDLE_CONF"] = "monitoring_handle_conf";
    TaskTypes["MONITORING_HANDLE_PERF"] = "monitoring_handle_perf";
    TaskTypes["AGGREGATION"] = "aggregation";
    TaskTypes["LOGS"] = "logs";
    TaskTypes["CUSTOM_TASK"] = "custom_task";
    TaskTypes["PREDICTION"] = "prediction";
    TaskTypes["STUCK_JOB_DEAD"] = "stuck_job_dead";
    TaskTypes["STUCK_JOB_NUL"] = "stuck_job_null";
    TaskTypes["DAEMON_KILLER"] = "daemon_killer";
})(TaskTypes || (exports.TaskTypes = TaskTypes = {}));
//# sourceMappingURL=taskQueue.constants.js.map