"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleCustomTaskResponseDTO = exports.CustomTaskResponseDTO = exports.CustomTaskDTO = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class CustomTaskDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { custom_task_id: { required: true, type: () => String }, name: { required: false, type: () => String }, filePath: { required: false, type: () => String }, mailGroups: { required: false, type: () => [Number] }, _mailGroups: { required: false, type: () => [require("./mailGroup.dto").MailGroup] }, createdAt: { required: false, type: () => Date }, lastRunAt: { required: false, type: () => Date } };
    }
}
exports.CustomTaskDTO = CustomTaskDTO;
class CustomTaskResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => [require("./customTask.dto").CustomTaskDTO] } };
    }
}
exports.CustomTaskResponseDTO = CustomTaskResponseDTO;
class SingleCustomTaskResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: false, type: () => require("./customTask.dto").CustomTaskDTO } };
    }
}
exports.SingleCustomTaskResponseDTO = SingleCustomTaskResponseDTO;
//# sourceMappingURL=customTask.dto.js.map