import { BasicResponseDTO } from './basicResponse.dto';
export declare class Device {
    label: string;
    pools: Pool[];
}
export declare class Pool {
    label: string;
    item_id: string;
    heatmap_tier_id?: string;
}
export declare class Interval {
    color: string;
    limit: number;
}
export declare class ReadWriteIntervals {
    read_intervals: Interval[];
    write_intervals: Interval[];
}
export declare class TierBase extends ReadWriteIntervals {
    label: string;
    limit_pool: number;
    limit_volume: number;
}
export declare class Tier extends TierBase {
    heatmap_tier_id: string;
}
export declare class HeatmapTierItem {
    item_id: string;
    heatmap_tier_id: string;
}
export declare class DevicesResponseDTO extends BasicResponseDTO {
    data: Device[];
}
export declare class TiersResponseDTO extends BasicResponseDTO {
    data: Tier[];
}
export declare class TierResponseDTO extends BasicResponseDTO {
    data: Tier;
}
