"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Par3DataDescription = exports.Par3PropsOld = exports.Par3OldRadio = exports.Par3Props = exports.Par3Radio = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
var Par3Radio;
(function (Par3Radio) {
    Par3Radio["CLI"] = "cli";
    Par3Radio["WSAPI"] = "wsapi";
    Par3Radio["SSH"] = "ssh";
})(Par3Radio || (exports.Par3Radio = Par3Radio = {}));
class Par3Props extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.host = undefined;
        this.sshPort = 22;
        this.apiPort = 8080;
        this.cliDir = '/opt/hp_3par_cli/bin';
    }
}
exports.Par3Props = Par3Props;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Par3Props.prototype, "host", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "sshUsername", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "sshKeyFile", void 0);
__decorate([
    (0, hostcfg_metadata_1.DefaultValue)(22),
    __metadata("design:type", Number)
], Par3Props.prototype, "sshPort", void 0);
__decorate([
    (0, hostcfg_metadata_1.DefaultValue)(8080),
    __metadata("design:type", Number)
], Par3Props.prototype, "apiPort", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "apiUsername", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "apiPassword", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", Boolean)
], Par3Props.prototype, "volumeCapacityHistory", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(Par3Radio.WSAPI),
    (0, hostcfg_metadata_1.EnumType)(Par3Radio),
    __metadata("design:type", String)
], Par3Props.prototype, "cliApiSshRadio", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "cliDir", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "cliUsername", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Par3Props.prototype, "cliPassword", void 0);
var Par3OldRadio;
(function (Par3OldRadio) {
    Par3OldRadio["REST"] = "3par-rest-api";
    Par3OldRadio["SSH"] = "3par-ssh";
    Par3OldRadio["CLI"] = "3par-cli";
})(Par3OldRadio || (exports.Par3OldRadio = Par3OldRadio = {}));
class Par3PropsOld extends deviceProps_1.OldDeviceProps {
}
exports.Par3PropsOld = Par3PropsOld;
exports.Par3DataDescription = {
    ...deviceProps_1.BaseDeviceDescription,
    host: {
        required: true,
        type: "string",
    },
    apiPort: {
        required: false,
        type: "number",
        default: 8080
    },
    apiUsername: {
        required: true,
        type: "string",
    },
    apiPassword: {
        required: true,
        type: "string",
    },
    volumeCapacityHistory: {
        required: false,
        type: "boolean",
        default: false
    }
};
//# sourceMappingURL=3par.data.js.map