import { IHostcfgDataDescription, OldDeviceProps, PortBaseDeviceProps } from "./deviceProps";
declare enum Intervals {
    ONE = 60,
    FIVE = 300
}
export declare class AwsProps extends PortBaseDeviceProps {
    host: string;
    aws_access_key_id: string;
    aws_secret_access_key: string;
    regions: string[];
    available_regions: string[];
    interval: Intervals;
}
export declare class AwsPropsOld extends OldDeviceProps {
    host: string;
    aws_access_key_id: string;
    aws_secret_access_key: string;
    regions: string[];
    available_regions: string[];
    interval: number;
}
export declare const AmazonDataDescription: IHostcfgDataDescription;
export {};
