"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DothillDataDescription = exports.DothillOldProps = exports.DothillProps = exports.SmiWbi = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
const hostcfgData_types_1 = require("./hostcfgData.types");
var SmiWbi;
(function (SmiWbi) {
    SmiWbi["SMI-S"] = "SMI";
    SmiWbi["WBI API"] = "WBI";
})(SmiWbi || (exports.SmiWbi = SmiWbi = {}));
class DothillProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.node1Host = undefined;
        this.node2Host = undefined;
        this.proto = hostcfgData_types_1.PROTO.HTTPS;
        this.interface = 'WBI';
        this.username = undefined;
        this.password = undefined;
    }
}
exports.DothillProps = DothillProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], DothillProps.prototype, "node1Host", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], DothillProps.prototype, "node2Host", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(hostcfgData_types_1.PROTO.HTTPS),
    (0, hostcfg_metadata_1.EnumType)(hostcfgData_types_1.PROTO),
    __metadata("design:type", String)
], DothillProps.prototype, "proto", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)("WBI"),
    (0, hostcfg_metadata_1.EnumType)(SmiWbi),
    __metadata("design:type", String)
], DothillProps.prototype, "interface", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], DothillProps.prototype, "username", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], DothillProps.prototype, "password", void 0);
class DothillOldProps extends deviceProps_1.OldApiAuthDeviceProps {
}
exports.DothillOldProps = DothillOldProps;
exports.DothillDataDescription = {
    node1Host: {
        required: true,
        type: "string",
    },
    node2Host: {
        required: false,
        type: "string",
    },
    proto: {
        required: false,
        type: "string",
        default: "https",
        possibleValues: Object.keys(hostcfgData_types_1.PROTO).map(k => hostcfgData_types_1.PROTO[k])
    },
    interface: {
        required: false,
        type: "string",
        default: "WBI",
        possibleValues: Object.keys(SmiWbi).map(k => SmiWbi[k])
    },
    ...deviceProps_1.AuthBaseDescription
};
//# sourceMappingURL=dothill.data.js.map