"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ds8kDataDescription = exports.Ds8kPropsOld = exports.Ds8kProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class Ds8kProps extends deviceProps_1.PortBaseDeviceProps {
    constructor() {
        super(...arguments);
        this.hmc1 = undefined;
        this.hmc2 = undefined;
        this.apiUsername = undefined;
        this.devid = undefined;
        this.dscliPath = undefined;
    }
}
exports.Ds8kProps = Ds8kProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Ds8kProps.prototype, "hmc1", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Ds8kProps.prototype, "hmc2", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Ds8kProps.prototype, "apiUsername", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Ds8kProps.prototype, "devid", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Ds8kProps.prototype, "dscliPath", void 0);
class Ds8kPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.Ds8kPropsOld = Ds8kPropsOld;
exports.Ds8kDataDescription = {
    ...deviceProps_1.PortBaseDeviceDescription,
    hmc1: {
        required: true,
        type: "string",
    },
    hmc2: {
        required: false,
        type: "string",
    },
    apiUsername: {
        required: true,
        type: "string",
    },
    devid: {
        required: false,
        type: "string",
    },
    dscliPath: {
        required: false,
        type: "string",
    }
};
//# sourceMappingURL=ds8k.data.js.map