"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EcsPropsOld = exports.EcsProps = exports.OldVdc = exports.Vdc = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class Vdc {
    constructor() {
        this.alias = undefined;
        this.node1 = undefined;
        this.node2 = undefined;
        this.username = undefined;
        this.password = undefined;
    }
}
exports.Vdc = Vdc;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Vdc.prototype, "alias", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Vdc.prototype, "node1", void 0);
__decorate([
    hostcfg_metadata_1.Unrequired,
    __metadata("design:type", String)
], Vdc.prototype, "node2", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Vdc.prototype, "username", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], Vdc.prototype, "password", void 0);
class OldVdc {
    static portVdc(oldVdc) {
        return {
            password: oldVdc.password,
            username: oldVdc.username,
            alias: oldVdc.alias,
            node1: oldVdc.host1,
            node2: oldVdc.host2
        };
    }
}
exports.OldVdc = OldVdc;
class EcsProps extends deviceProps_1.BaseDeviceProps {
    constructor() {
        super(...arguments);
        this.vdc = [];
    }
}
exports.EcsProps = EcsProps;
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.ArrayItemType)(Vdc),
    __metadata("design:type", Array)
], EcsProps.prototype, "vdc", void 0);
class EcsPropsOld extends deviceProps_1.OldDeviceProps {
}
exports.EcsPropsOld = EcsPropsOld;
//# sourceMappingURL=ecs.data.js.map