import { BaseDeviceProps, IHostcfgDataDescription, OldSshDeviceProps } from "./deviceProps";
import { OldSp, Sp } from "./hostcfgData.types";
export declare class MacrosanProps extends BaseDeviceProps {
    sps: Array<Sp>;
}
export declare class MacroSANOldProps extends OldSshDeviceProps {
    "ftp-user": string;
    "ftp-password": string;
    "ftp-path": string;
    sp: Array<OldSp>;
}
export declare const MacrosanDataDescription: IHostcfgDataDescription;
