import { BaseDeviceProps, IHostcfgDataDescription, OldDeviceProps } from "./deviceProps";
export declare class RaidixProps extends BaseDeviceProps {
    sshPassword: string;
    sshPort1: number;
    sshPort2: number;
    sshUser1: string;
    sshUser2: string;
    sshKeyId: string;
    host1: string;
    host2: string;
}
export declare class RaidixPropsOld extends OldDeviceProps {
    "ssh-password": string;
    "ssh-port1": string;
    "ssh-port2": string;
    "ssh-user1": string;
    "ssh-user2": string;
    "ssh-key-id": string;
    host1: string;
    host2: string;
}
export declare const RaidixDataDescription: IHostcfgDataDescription;
