"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VplexDataDescription = exports.VplexPropsOld = exports.VplexProps = void 0;
const hostcfg_metadata_1 = require("../../resolve/hostcfg.metadata");
const deviceProps_1 = require("./deviceProps");
class VplexProps extends deviceProps_1.RestDeviceProps {
    constructor() {
        super(...arguments);
        this.sshHost = undefined;
        this.sshPort = 22;
        this.sshUsername = undefined;
        this.isApi = false;
        this.cluster = undefined;
    }
}
exports.VplexProps = VplexProps;
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], VplexProps.prototype, "sshHost", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(22),
    __metadata("design:type", Number)
], VplexProps.prototype, "sshPort", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], VplexProps.prototype, "sshUsername", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    (0, hostcfg_metadata_1.DefaultValue)(false),
    __metadata("design:type", Boolean)
], VplexProps.prototype, "isApi", void 0);
__decorate([
    hostcfg_metadata_1.Required,
    __metadata("design:type", String)
], VplexProps.prototype, "cluster", void 0);
class VplexPropsOld extends deviceProps_1.OldSshDeviceProps {
}
exports.VplexPropsOld = VplexPropsOld;
exports.VplexDataDescription = {
    cluster: {
        required: true,
        type: "string",
    },
    isApi: {
        required: false,
        type: "boolean",
        default: false,
        description: "If true rest api properties become required, if false ssh properties are required"
    },
    ...deviceProps_1.SshDeviceDescription,
    ...deviceProps_1.RestDeviceDescription
};
//# sourceMappingURL=vplex.data.js.map