"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LicenseResponseDTO = exports.License = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class License {
    static _OPENAPI_METADATA_FACTORY() {
        return { expirationDate: { required: true, type: () => String }, technologies: { required: true, type: () => [require("./backendResponse.dto").ILicenseTechnology] } };
    }
}
exports.License = License;
class LicenseResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./license.dto").License } };
    }
}
exports.LicenseResponseDTO = LicenseResponseDTO;
//# sourceMappingURL=license.dto.js.map