import { BackendService } from './backendResponse.dto';
import { BasicResponseDTO } from './basicResponse.dto';
export interface IConnectionTestResult {
    connected?: boolean;
    message?: string[];
}
export interface ITestSection {
    success: boolean;
    label: string;
    acceptable?: boolean;
    text?: string;
}
export declare class MicroserviceResponseDTO extends BasicResponseDTO {
    data?: IConnectionTestResult;
}
export declare class MicroserviceChangeStateResponseDTO extends BasicResponseDTO {
    data?: BackendService;
}
export declare class MicroservicesChangeStateResponseDTO extends BasicResponseDTO {
    data: BackendService[];
}
