"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetReportFileResponseDTO = exports.SavedReportFile = exports.UpdateReportFile = exports.NewReportFile = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class NewReportFile {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_id: { required: false, type: () => String }, file_name: { required: true, type: () => String } };
    }
}
exports.NewReportFile = NewReportFile;
class UpdateReportFile extends NewReportFile {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_file_id: { required: true, type: () => String } };
    }
}
exports.UpdateReportFile = UpdateReportFile;
class SavedReportFile extends UpdateReportFile {
    static _OPENAPI_METADATA_FACTORY() {
        return { report_id: { required: true, type: () => String }, created_at: { required: true, type: () => Date } };
    }
}
exports.SavedReportFile = SavedReportFile;
class GetReportFileResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./reportFile.dto").SavedReportFile } };
    }
}
exports.GetReportFileResponseDTO = GetReportFileResponseDTO;
//# sourceMappingURL=reportFile.dto.js.map