"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchItemResponseDTO = exports.SearchItemResponse = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class SearchItemResponse {
    static _OPENAPI_METADATA_FACTORY() {
        return { metadata: { required: true, type: () => ({ start: { required: true, type: () => Number }, end: { required: true, type: () => Number }, max: { required: true, type: () => Number }, page: { required: true, type: () => Number }, info: { required: false, type: () => String } }) }, items: { required: true, type: () => [require("./architecture.dto").Item] } };
    }
}
exports.SearchItemResponse = SearchItemResponse;
class SearchItemResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./searchResponse.dto").SearchItemResponse } };
    }
}
exports.SearchItemResponseDTO = SearchItemResponseDTO;
//# sourceMappingURL=searchResponse.dto.js.map