import { BasicResponseDTO } from './basicResponse.dto';
export declare class ServerGroup {
    server_group_id: string;
    label: string;
    description: string;
    user_id?: number;
    items: Item[];
}
export declare class Item {
    item_id: string;
    label: string;
    hw_type: string;
}
export declare class ServerGroupDTO {
    label: string;
    description: string;
    user_id?: number;
    items?: string[];
    hw_type?: string;
    class?: string;
}
export declare class ServerGroupsResponseDTO extends BasicResponseDTO {
    data: ServerGroup[];
}
export declare class ServerGroupResponseDTO extends BasicResponseDTO {
    data: ServerGroup;
}
export declare class ItemsResponseDTO extends BasicResponseDTO {
    data: Item[];
}
