import { BasicResponseDTO } from './basicResponse.dto';
import { MenuItem } from './menuResponse.dto';
export declare class RegexPreviewDTO {
    regex: string[];
}
export declare class StorageGroup {
    storage_group_id: string;
    label: string;
    description: string;
    regex: boolean;
    devices: Device[];
    group?: {
        group_id: number;
        name: string;
    };
}
export declare class Device {
    item_id: string;
    label: string;
    hw_type: string;
}
export declare class StorageGroupDTO {
    label: string;
    description: string;
    devices?: string[];
    regex?: string[];
    group_id?: number;
}
export declare class GroupStorageGroupFolder extends MenuItem {
    group_id: number;
}
export declare class StorageGroupsResponseDTO extends BasicResponseDTO {
    data: StorageGroup[];
}
export declare class StorageGroupResponseDTO extends BasicResponseDTO {
    data: StorageGroup;
}
export declare class DevicesResponseDTO extends BasicResponseDTO {
    data: Device[];
}
export declare class GroupStorageGroupsResponseDTO extends BasicResponseDTO {
    data: GroupStorageGroupFolder[];
}
