import { BasicResponseDTO } from './basicResponse.dto';
export declare class TagValue {
    tag_value_id: string;
    value: string;
    user_id: number;
    createdAt?: string;
    updatedAt?: string;
    tag_id: string;
}
export declare class CreateTagValue {
    value: string;
    label: string;
}
export declare class CreateTagValueByTagId {
    value: string;
    tag_id: string;
}
export declare class UpdateTagValue {
    old_value: string;
    new_value: string;
    label: string;
}
export declare class UpdateTagValueById {
    old_value: string;
    new_value: string;
    tag_id: string;
}
export declare class TagValueResponseDTO extends BasicResponseDTO {
    data: TagValue;
}
export declare class TagValuesResponseDTO extends BasicResponseDTO {
    data: TagValue[];
}
