"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagValueItemsResponseDTO = exports.TagValueItemResponseDTO = exports.TagValueItemIds = exports.DeleteTagValueItem = exports.UpdateTagValueItem = exports.CreateTagValueItem = exports.TagValueItem = void 0;
const openapi = require("@nestjs/swagger");
const basicResponse_dto_1 = require("./basicResponse.dto");
class TagValueItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_item_id: { required: true, type: () => String }, item_id: { required: true, type: () => String }, tag_value_id: { required: true, type: () => String }, createdAt: { required: false, type: () => String } };
    }
}
exports.TagValueItem = TagValueItem;
class CreateTagValueItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, tag_value_id: { required: true, type: () => String } };
    }
}
exports.CreateTagValueItem = CreateTagValueItem;
class UpdateTagValueItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_id: { required: true, type: () => String }, tag_value_id: { required: true, type: () => String } };
    }
}
exports.UpdateTagValueItem = UpdateTagValueItem;
class DeleteTagValueItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_item_id: { required: true, type: () => String } };
    }
}
exports.DeleteTagValueItem = DeleteTagValueItem;
class TagValueItemIds {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_id: { required: true, type: () => String }, item_ids: { required: true, type: () => [String] } };
    }
}
exports.TagValueItemIds = TagValueItemIds;
class TagValueItemResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => require("./tagValueItem.dto").TagValueItem } };
    }
}
exports.TagValueItemResponseDTO = TagValueItemResponseDTO;
class TagValueItemsResponseDTO extends basicResponse_dto_1.BasicResponseDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { data: { required: true, type: () => [require("./tagValueItem.dto").TagValueItem] } };
    }
}
exports.TagValueItemsResponseDTO = TagValueItemsResponseDTO;
//# sourceMappingURL=tagValueItem.dto.js.map