"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenRefreshRequestDTO = exports.TokenRequestWithURLDTO = exports.TokenRequestDTO = void 0;
const openapi = require("@nestjs/swagger");
class TokenRequestDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { username: { required: true, type: () => String }, password: { required: true, type: () => String } };
    }
}
exports.TokenRequestDTO = TokenRequestDTO;
class TokenRequestWithURLDTO extends TokenRequestDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { url: { required: true, type: () => String } };
    }
}
exports.TokenRequestWithURLDTO = TokenRequestWithURLDTO;
class TokenRefreshRequestDTO {
    static _OPENAPI_METADATA_FACTORY() {
        return { token: { required: true, type: () => String } };
    }
}
exports.TokenRefreshRequestDTO = TokenRefreshRequestDTO;
//# sourceMappingURL=tokenRequest.dto.js.map