"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ACL = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const group_entity_1 = require("./group.entity");
const aclResponse_constants_1 = require("../common/constants/aclResponse.constants");
let ACL = class ACL {
    static _OPENAPI_METADATA_FACTORY() {
        return { rule_id: { required: true, type: () => String }, group: { required: true, type: () => require("./group.entity").Group }, type: { required: true, type: () => Object }, value0: { required: false, type: () => String }, value1: { required: false, type: () => String }, value2: { required: false, type: () => String } };
    }
};
exports.ACL = ACL;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], ACL.prototype, "rule_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => group_entity_1.Group, (group) => group.group_id),
    __metadata("design:type", group_entity_1.Group)
], ACL.prototype, "group", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: aclResponse_constants_1.RULE_TYPE,
    }),
    __metadata("design:type", String)
], ACL.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ACL.prototype, "value0", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ACL.prototype, "value1", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], ACL.prototype, "value2", void 0);
exports.ACL = ACL = __decorate([
    (0, typeorm_1.Entity)({ name: 'acl', synchronize: false })
], ACL);
//# sourceMappingURL=acl.entity.js.map