"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertingHistoryItem = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const alertingHistory_entity_1 = require("./alertingHistory.entity");
const objectItem_entity_1 = require("./objectItem.entity");
let AlertingHistoryItem = class AlertingHistoryItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { _alerting_history: { required: false, type: () => require("./alertingHistory.entity").AlertingHistory }, alerting_history_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String } };
    }
};
exports.AlertingHistoryItem = AlertingHistoryItem;
__decorate([
    (0, typeorm_1.ManyToOne)(() => alertingHistory_entity_1.AlertingHistory, (alertingHistory) => alertingHistory._items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'alerting_history_id' }),
    __metadata("design:type", alertingHistory_entity_1.AlertingHistory)
], AlertingHistoryItem.prototype, "_alerting_history", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AlertingHistoryItem.prototype, "alerting_history_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem._alerting_history_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], AlertingHistoryItem.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AlertingHistoryItem.prototype, "item_id", void 0);
exports.AlertingHistoryItem = AlertingHistoryItem = __decorate([
    (0, typeorm_1.Entity)({ name: 'alerting_history_items', synchronize: false })
], AlertingHistoryItem);
//# sourceMappingURL=alertingHistoryItem.entity.js.map