"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertingHwEmail = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const mailGroup_entity_1 = require("./mailGroup.entity");
let AlertingHwEmail = class AlertingHwEmail {
    static _OPENAPI_METADATA_FACTORY() {
        return { _mail_group: { required: true, type: () => require("./mailGroup.entity").MailGroup }, mail_group_id: { required: true, type: () => Number } };
    }
};
exports.AlertingHwEmail = AlertingHwEmail;
__decorate([
    (0, typeorm_1.OneToOne)(() => mailGroup_entity_1.MailGroup, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'mail_group_id' }),
    __metadata("design:type", mailGroup_entity_1.MailGroup)
], AlertingHwEmail.prototype, "_mail_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], AlertingHwEmail.prototype, "mail_group_id", void 0);
exports.AlertingHwEmail = AlertingHwEmail = __decorate([
    (0, typeorm_1.Entity)({ name: 'alerting_hw_emails', synchronize: false })
], AlertingHwEmail);
//# sourceMappingURL=alertingHwEmail.entity.js.map