"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertingLaunch = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const alerting_entity_1 = require("./alerting.entity");
const objectItem_entity_1 = require("./objectItem.entity");
let AlertingLaunch = class AlertingLaunch {
    static _OPENAPI_METADATA_FACTORY() {
        return { alerting_id: { required: true, type: () => String }, _alerting: { required: true, type: () => require("./alerting.entity").Alerting }, item_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, last_triggered_at: { required: true, type: () => Date } };
    }
};
exports.AlertingLaunch = AlertingLaunch;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AlertingLaunch.prototype, "alerting_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => alerting_entity_1.Alerting, (alerting) => alerting.alerting_launches, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'alerting_id' }),
    __metadata("design:type", alerting_entity_1.Alerting)
], AlertingLaunch.prototype, "_alerting", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], AlertingLaunch.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.alerting_launches, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], AlertingLaunch.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'timestamp with time zone',
        nullable: false
    }),
    __metadata("design:type", Date)
], AlertingLaunch.prototype, "last_triggered_at", void 0);
exports.AlertingLaunch = AlertingLaunch = __decorate([
    (0, typeorm_1.Entity)({ name: 'alerting_launches', synchronize: false })
], AlertingLaunch);
//# sourceMappingURL=alertingLaunch.entity.js.map