"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audit = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const auditEvent_entity_1 = require("./auditEvent.entity");
const user_entity_1 = require("./user.entity");
let Audit = class Audit {
    static _OPENAPI_METADATA_FACTORY() {
        return { audit_id: { required: true, type: () => String }, user: { required: false, type: () => require("./user.entity").User }, user_id: { required: true, type: () => Number }, time: { required: false, type: () => Date }, _event: { required: false, type: () => require("./auditEvent.entity").AuditEvent }, event: { required: true, type: () => Number }, affected: { required: true, type: () => String }, ip: { required: true, type: () => String } };
    }
};
exports.Audit = Audit;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", String)
], Audit.prototype, "audit_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.audits, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], Audit.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Audit.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'time', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], Audit.prototype, "time", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => auditEvent_entity_1.AuditEvent, (auditEvent) => auditEvent.audits, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'event' }),
    __metadata("design:type", auditEvent_entity_1.AuditEvent)
], Audit.prototype, "_event", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], Audit.prototype, "event", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], Audit.prototype, "affected", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, name: "ip" }),
    __metadata("design:type", String)
], Audit.prototype, "ip", void 0);
exports.Audit = Audit = __decorate([
    (0, typeorm_1.Entity)({ name: 'audits', synchronize: false })
], Audit);
//# sourceMappingURL=audit.entity.js.map