import { CustomGroupFolder } from './customGroupFolder.entity';
import { User } from './user.entity';
import { HwType } from './hwType.entity';
import { Class } from './class.entity';
import { ItemGroup } from './itemGroup.entity';
import { Export } from './export.entity';
import { AlertingGroup } from './alertingGroup.entity';
import { ReportItem } from './reportItem.entity';
import { Group } from './group.entity';
import { CustomGroupFavorite } from './customGroupFavorite.entity';
export declare class CustomGroup {
    custom_group_id: string;
    internal: boolean;
    label: string;
    _class?: Class;
    class: string;
    _hw_type?: HwType;
    hw_type: string;
    subsystem: string;
    custom_group_folder?: CustomGroupFolder;
    custom_group_folder_id: string;
    user_id: number;
    created_by?: User;
    group_id: number;
    _group?: Group;
    groups?: ItemGroup[];
    exports?: Export[];
    alertingGroups?: AlertingGroup[];
    report_items?: ReportItem[];
    favorites?: CustomGroupFavorite[];
}
