"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomGroupFolder = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const customGroup_entity_1 = require("./customGroup.entity");
const user_entity_1 = require("./user.entity");
const group_entity_1 = require("./group.entity");
let CustomGroupFolder = class CustomGroupFolder {
    static _OPENAPI_METADATA_FACTORY() {
        return { custom_group_folder_id: { required: true, type: () => String }, label: { required: true, type: () => String }, parent: { required: true, type: () => require("./customGroupFolder.entity").CustomGroupFolder }, children: { required: true, type: () => [require("./customGroupFolder.entity").CustomGroupFolder] }, user_id: { required: true, type: () => Number }, created_by: { required: false, type: () => require("./user.entity").User }, custom_groups: { required: true, type: () => [require("./customGroup.entity").CustomGroup] }, group_id: { required: true, type: () => Number }, _group: { required: false, type: () => require("./group.entity").Group } };
    }
};
exports.CustomGroupFolder = CustomGroupFolder;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], CustomGroupFolder.prototype, "custom_group_folder_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], CustomGroupFolder.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.TreeParent)({
        onDelete: 'CASCADE',
    }),
    __metadata("design:type", CustomGroupFolder)
], CustomGroupFolder.prototype, "parent", void 0);
__decorate([
    (0, typeorm_1.TreeChildren)({
        cascade: true,
    }),
    __metadata("design:type", Array)
], CustomGroupFolder.prototype, "children", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CustomGroupFolder.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.created_custom_group_folders, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], CustomGroupFolder.prototype, "created_by", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => customGroup_entity_1.CustomGroup, (custom_group) => custom_group.custom_group_folder),
    __metadata("design:type", Array)
], CustomGroupFolder.prototype, "custom_groups", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CustomGroupFolder.prototype, "group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => group_entity_1.Group, (group) => group._custom_group_folders, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'group_id' }),
    __metadata("design:type", group_entity_1.Group)
], CustomGroupFolder.prototype, "_group", void 0);
exports.CustomGroupFolder = CustomGroupFolder = __decorate([
    (0, typeorm_1.Entity)({ name: 'custom_group_folders', synchronize: false }),
    (0, typeorm_1.Tree)('materialized-path')
], CustomGroupFolder);
//# sourceMappingURL=customGroupFolder.entity.js.map