"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTask = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const mailGroup_entity_1 = require("./mailGroup.entity");
let CustomTask = class CustomTask {
    static _OPENAPI_METADATA_FACTORY() {
        return { custom_task_id: { required: true, type: () => String }, name: { required: true, type: () => String }, filePath: { required: true, type: () => String }, createdAt: { required: false, type: () => Date }, lastRunAt: { required: false, type: () => Date }, mailGroups: { required: false, type: () => [require("./mailGroup.entity").MailGroup] } };
    }
};
exports.CustomTask = CustomTask;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], CustomTask.prototype, "custom_task_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], CustomTask.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: "file_path" }),
    __metadata("design:type", String)
], CustomTask.prototype, "filePath", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], CustomTask.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.Column)({ name: "last_run_at", type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], CustomTask.prototype, "lastRunAt", void 0);
__decorate([
    (0, typeorm_1.ManyToMany)(() => mailGroup_entity_1.MailGroup, (mailGroup) => mailGroup.mail_group_id, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinTable)({
        name: "custom_task_mail_group_relations",
        joinColumn: {
            name: "custom_task_id",
            referencedColumnName: "custom_task_id"
        },
        inverseJoinColumn: {
            name: 'mail_group_id',
            referencedColumnName: 'mail_group_id',
        }
    }),
    __metadata("design:type", Array)
], CustomTask.prototype, "mailGroups", void 0);
exports.CustomTask = CustomTask = __decorate([
    (0, typeorm_1.Entity)({ name: 'custom_task', synchronize: false })
], CustomTask);
//# sourceMappingURL=customTask.entity.js.map