import { ObjectItem } from './objectItem.entity';
export declare enum Status {
    OK = "ok",
    WARNING = "warning",
    ERROR = "error",
    UNKNOWN = "unknown"
}
export declare enum StatusType {
    HEALTH = "health",
    DATA = "data",
    CONNECTION = "connection"
}
export declare class StatusPriority {
    priority: {
        ok: number;
        warning: number;
        error: number;
        unknown: number;
    };
    constructor();
}
export declare class HealthStatus {
    _item?: ObjectItem;
    item_id: string;
    type: StatusType;
    status: Status;
    readonly createdAt?: Date;
    readonly updatedAt?: Date;
    data?: string;
}
