"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeatmapTier = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const heatmapTierItem_entity_1 = require("./heatmapTierItem.entity");
let HeatmapTier = class HeatmapTier {
    static _OPENAPI_METADATA_FACTORY() {
        return { heatmap_tier_id: { required: true, type: () => String }, label: { required: true, type: () => String }, limit_pool: { required: true, type: () => Number }, limit_volume: { required: true, type: () => Number }, read_intervals: { required: true, type: () => [require("../common/elements/heatmapTier.elements").HeatmapTierInterval] }, write_intervals: { required: true, type: () => [require("../common/elements/heatmapTier.elements").HeatmapTierInterval] }, _heatmap_tier_items: { required: false, type: () => [require("./heatmapTierItem.entity").HeatmapTierItem] } };
    }
};
exports.HeatmapTier = HeatmapTier;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], HeatmapTier.prototype, "heatmap_tier_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], HeatmapTier.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], HeatmapTier.prototype, "limit_pool", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], HeatmapTier.prototype, "limit_volume", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'jsonb' }),
    __metadata("design:type", Array)
], HeatmapTier.prototype, "read_intervals", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'jsonb' }),
    __metadata("design:type", Array)
], HeatmapTier.prototype, "write_intervals", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => heatmapTierItem_entity_1.HeatmapTierItem, (heatmap_tier_item) => heatmap_tier_item._heatmap_tier),
    __metadata("design:type", Array)
], HeatmapTier.prototype, "_heatmap_tier_items", void 0);
exports.HeatmapTier = HeatmapTier = __decorate([
    (0, typeorm_1.Entity)({ name: 'heatmap_tiers', synchronize: false })
], HeatmapTier);
//# sourceMappingURL=heatmapTier.entity.js.map