"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostcfgRelation = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const hostcfg_entity_1 = require("./hostcfg.entity");
const objectItem_entity_1 = require("./objectItem.entity");
let HostcfgRelation = class HostcfgRelation {
    static _OPENAPI_METADATA_FACTORY() {
        return { _hostcfg: { required: false, type: () => require("./hostcfg.entity").HostCfg }, hostcfg_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date } };
    }
};
exports.HostcfgRelation = HostcfgRelation;
__decorate([
    (0, typeorm_1.ManyToOne)(() => hostcfg_entity_1.HostCfg, (hostCfg) => hostCfg.relations, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'hostcfg_id' }),
    __metadata("design:type", hostcfg_entity_1.HostCfg)
], HostcfgRelation.prototype, "_hostcfg", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HostcfgRelation.prototype, "hostcfg_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.hostcfg_relations, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], HostcfgRelation.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], HostcfgRelation.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HostcfgRelation.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], HostcfgRelation.prototype, "updatedAt", void 0);
exports.HostcfgRelation = HostcfgRelation = __decorate([
    (0, typeorm_1.Entity)({ name: 'hostcfg_relations', synchronize: false })
], HostcfgRelation);
//# sourceMappingURL=hostcfgRelation.entity.js.map