"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemGroupItem = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const itemGroup_entity_1 = require("./itemGroup.entity");
let ItemGroupItem = class ItemGroupItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { _item_group: { required: false, type: () => require("./itemGroup.entity").ItemGroup }, item_group_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, item_id: { required: true, type: () => String } };
    }
};
exports.ItemGroupItem = ItemGroupItem;
__decorate([
    (0, typeorm_1.ManyToOne)(() => itemGroup_entity_1.ItemGroup, (itemGroup) => itemGroup.items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_group_id' }),
    __metadata("design:type", itemGroup_entity_1.ItemGroup)
], ItemGroupItem.prototype, "_item_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemGroupItem.prototype, "item_group_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.item_group_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], ItemGroupItem.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemGroupItem.prototype, "item_id", void 0);
exports.ItemGroupItem = ItemGroupItem = __decorate([
    (0, typeorm_1.Entity)({ name: 'item_group_items', synchronize: false })
], ItemGroupItem);
//# sourceMappingURL=itemGroupItem.entity.js.map