"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemGroupRegexParent = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const itemGroup_entity_1 = require("./itemGroup.entity");
let ItemGroupRegexParent = class ItemGroupRegexParent {
    static _OPENAPI_METADATA_FACTORY() {
        return { item_group_regex_parent_id: { required: true, type: () => String }, _item_group: { required: false, type: () => require("./itemGroup.entity").ItemGroup }, item_group_id: { required: true, type: () => String }, subsystem: { required: true, type: () => String }, regex: { required: true, type: () => String } };
    }
};
exports.ItemGroupRegexParent = ItemGroupRegexParent;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], ItemGroupRegexParent.prototype, "item_group_regex_parent_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => itemGroup_entity_1.ItemGroup, (itemGroup) => itemGroup.regex_parents, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_group_id' }),
    __metadata("design:type", itemGroup_entity_1.ItemGroup)
], ItemGroupRegexParent.prototype, "_item_group", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemGroupRegexParent.prototype, "item_group_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], ItemGroupRegexParent.prototype, "subsystem", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], ItemGroupRegexParent.prototype, "regex", void 0);
exports.ItemGroupRegexParent = ItemGroupRegexParent = __decorate([
    (0, typeorm_1.Entity)({ name: 'item_group_regex_parents', synchronize: false })
], ItemGroupRegexParent);
//# sourceMappingURL=itemGroupRegexParent.entity.js.map