"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemRelation = exports.RelationOrigin = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
var RelationOrigin;
(function (RelationOrigin) {
    RelationOrigin["child"] = "child";
    RelationOrigin["parent"] = "parent";
    RelationOrigin["undefined"] = "undefined";
})(RelationOrigin || (exports.RelationOrigin = RelationOrigin = {}));
const enumsVersion = 'v' + 1;
let ItemRelation = class ItemRelation {
    static _OPENAPI_METADATA_FACTORY() {
        return { _parent: { required: false, type: () => require("./objectItem.entity").ObjectItem }, parent: { required: true, type: () => String }, _child: { required: false, type: () => require("./objectItem.entity").ObjectItem }, child: { required: true, type: () => String }, origin: { required: true, enum: require("./itemRelation.entity").RelationOrigin }, createdAt: { required: false, type: () => Date }, updatedAt: { required: false, type: () => Date } };
    }
};
exports.ItemRelation = ItemRelation;
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.children, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'parent' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], ItemRelation.prototype, "_parent", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemRelation.prototype, "parent", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.parents, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'child' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], ItemRelation.prototype, "_child", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], ItemRelation.prototype, "child", void 0);
__decorate([
    (0, typeorm_1.Column)({
        name: 'origin',
        enumName: `origin_${enumsVersion}`,
        type: 'enum',
        enum: RelationOrigin,
        default: RelationOrigin.undefined,
    }),
    __metadata("design:type", String)
], ItemRelation.prototype, "origin", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], ItemRelation.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", Date)
], ItemRelation.prototype, "updatedAt", void 0);
exports.ItemRelation = ItemRelation = __decorate([
    (0, typeorm_1.Entity)({ name: 'item_relations', synchronize: false })
], ItemRelation);
//# sourceMappingURL=itemRelation.entity.js.map