"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsLambda = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.AwsLambda = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_aws_lambda',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        'Invocations': {
            type: 'float4',
            nullable: true,
        },
        'Errors': {
            type: 'float4',
            nullable: true,
        },
        'Throttles': {
            type: 'float4',
            nullable: true,
        },
        'Duration': {
            type: 'float4',
            nullable: true,
        },
        'ConcurrentExecutions': {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=awsLambda.entity.js.map