"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CohesityPort = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const Compose_1 = require("./Compose");
let storage = 'cohesity';
let section = 'port';
let metricNames = [
    'data_rate', 'read', 'write',
    'packet_rate', 'read_packet', 'write_packet',
    'read_error', 'write_error',
    'tmp0', 'tmp1', 'tmp2', 'tmp3',
    'tmp4', 'tmp5', 'tmp6', 'tmp7',
    'tmp8', 'tmp9', 'tmp10', 'tmp11',
    'tmp12', 'tmp13', 'tmp14', 'tmp15'
];
let coreObject = (0, Compose_1.prepareCoreObject)(storage, section, metricNames);
exports.CohesityPort = new typeorm_1.EntitySchema(coreObject);
//# sourceMappingURL=cohesityPort.entity.js.map