"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DockerVolume = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.DockerVolume = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_docker_volume',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        size: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=dockerVolume.entity.js.map