"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinuxSea = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.LinuxSea = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_linux_sea',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        recv_bytes: {
            type: 'float4',
            nullable: true,
        },
        trans_bytes: {
            type: 'float4',
            nullable: true,
        },
        recv_packets: {
            type: 'float4',
            nullable: true,
        },
        trans_packets: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=linuxSea.entity.js.map