"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NutanixDisk = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.NutanixDisk = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_nutanix_disk',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        read_io_bandwidth: {
            type: 'float4',
            nullable: true,
        },
        write_io_bandwidth: {
            type: 'float4',
            nullable: true,
        },
        total_io_latency: {
            type: 'float4',
            nullable: true,
        },
        read_io: {
            type: 'float4',
            nullable: true,
        },
        write_io: {
            type: 'float4',
            nullable: true,
        },
        total_io: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=nutanixDisk.entity.js.map