"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OraclezfsFs = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.OraclezfsFs = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_oraclezfs_fs',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        data_rate: {
            type: 'float4',
            nullable: true,
        },
        capacity_used: {
            type: 'float4',
            nullable: true,
        },
        capacity_data: {
            type: 'float4',
            nullable: true,
        },
        capacity_quota: {
            type: 'float4',
            nullable: true,
        },
        snapshot_capacity_used: {
            type: 'float4',
            nullable: true,
        },
        nfs3_data_rate: {
            type: 'float4',
            nullable: true,
        },
        nfs4_data_rate: {
            type: 'float4',
            nullable: true,
        },
        smb2_data_rate: {
            type: 'float4',
            nullable: true,
        },
        smb3_data_rate: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=oraclezfsFs.entity.js.map