"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgresDbfolders = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.PostgresDbfolders = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_postgres_dbfolders',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        buffersclean: {
            type: 'float4',
            nullable: true,
        },
        buffersbackend: {
            nullable: true,
            type: 'float4',
        },
        bufferscheckpoint: {
            nullable: true,
            type: 'float4',
        },
        checkpointstimed: {
            type: 'float4',
            nullable: true,
        },
        checkpointsreq: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        }
    },
});
//# sourceMappingURL=postgresDbfolders.entity.js.map