"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolarisLdom = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.SolarisLdom = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_solaris_ldom',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        virtual_cpu: {
            type: 'float4',
            nullable: true,
        },
        normal_util: {
            type: 'float4',
            nullable: true,
        },
        cpu_utilization: {
            type: 'float4',
            nullable: true,
        },
        memory_allocated: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=solarisLdom.entity.js.map