"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolarisOsAgent = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.SolarisOsAgent = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_solaris_osagent',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_idle: {
            type: 'float4',
            nullable: true,
        },
        cpu_entitled: {
            type: 'float4',
            nullable: true,
        },
        cpu_system: {
            type: 'float4',
            nullable: true,
        },
        cpu_user: {
            type: 'float4',
            nullable: true,
        },
        cpu_wait: {
            type: 'float4',
            nullable: true,
        },
        load: {
            type: 'float4',
            nullable: true,
        },
        virtual_p: {
            type: 'float4',
            nullable: true,
        },
        blocked_p: {
            type: 'float4',
            nullable: true,
        },
        mem_size: {
            type: 'float4',
            nullable: true,
        },
        mem_used: {
            type: 'float4',
            nullable: true,
        },
        mem_free: {
            type: 'float4',
            nullable: true,
        },
        mem_in_use_client: {
            type: 'float4',
            nullable: true,
        },
        pgs1: {
            type: 'float4',
            nullable: true,
        },
        pgs2: {
            type: 'float4',
            nullable: true,
        },
        pgs3: {
            type: 'float4',
            nullable: true,
        },
        pgs4: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
        tmp4: {
            type: 'float4',
            nullable: true,
        },
        tmp5: {
            type: 'float4',
            nullable: true,
        },
        tmp6: {
            type: 'float4',
            nullable: true,
        },
        tmp7: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=solarisOsAgent.entity.js.map