"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VspgCpu = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
exports.VspgCpu = new typeorm_1.EntitySchema({
    schema: 'metrics',
    name: 'metrics_vspg_cpu',
    columns: {
        time: {
            type: 'timestamp with time zone',
            primary: true,
            nullable: false,
        },
        item_id: {
            type: String,
            primary: true,
            nullable: false,
        },
        cpu_system: {
            type: 'float4',
            nullable: true,
        },
        write_pending_percent: {
            type: 'float4',
            nullable: true,
        },
        cache_usage_percent: {
            type: 'float4',
            nullable: true,
        },
        cache_allocated_size: {
            type: 'float4',
            nullable: true,
        },
        tmp0: {
            type: 'float4',
            nullable: true,
        },
        tmp1: {
            type: 'float4',
            nullable: true,
        },
        tmp2: {
            type: 'float4',
            nullable: true,
        },
        tmp3: {
            type: 'float4',
            nullable: true,
        },
    },
});
//# sourceMappingURL=vspgCpu.entity.js.map