"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagValue = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
const tag_entity_1 = require("./tag.entity");
const itemGroupTag_entity_1 = require("./itemGroupTag.entity");
const itemGroupParentTag_entity_1 = require("./itemGroupParentTag.entity");
const tagValueItem_entity_1 = require("./tagValueItem.entity");
let TagValue = class TagValue {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_id: { required: true, type: () => String }, value: { required: true, type: () => String }, user_id: { required: true, type: () => Number }, created_by: { required: false, type: () => require("./user.entity").User }, createdAt: { required: false, type: () => String }, updatedAt: { required: false, type: () => String }, tag_id: { required: true, type: () => String }, tagLabel: { required: false, type: () => require("./tag.entity").Tag }, item_group_tags: { required: false, type: () => [require("./itemGroupTag.entity").ItemGroupTag] }, item_group_parent_tags: { required: false, type: () => [require("./itemGroupParentTag.entity").ItemGroupParentTag] }, tag_items: { required: false, type: () => [require("./tagValueItem.entity").TagValueItem] } };
    }
};
exports.TagValue = TagValue;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], TagValue.prototype, "tag_value_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TagValue.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], TagValue.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.created_tags, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], TagValue.prototype, "created_by", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", String)
], TagValue.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ name: 'updated_at', type: 'timestamp with time zone' }),
    __metadata("design:type", String)
], TagValue.prototype, "updatedAt", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TagValue.prototype, "tag_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => tag_entity_1.Tag, (tagLabel) => tagLabel.tag_id, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'tag_id' }),
    __metadata("design:type", tag_entity_1.Tag)
], TagValue.prototype, "tagLabel", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => itemGroupTag_entity_1.ItemGroupTag, (itemGroupTag) => itemGroupTag._tag),
    __metadata("design:type", Array)
], TagValue.prototype, "item_group_tags", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => itemGroupParentTag_entity_1.ItemGroupParentTag, (itemGroupParentTag) => itemGroupParentTag._tag),
    __metadata("design:type", Array)
], TagValue.prototype, "item_group_parent_tags", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => tagValueItem_entity_1.TagValueItem, (tagItem) => tagItem.tagValue),
    __metadata("design:type", Array)
], TagValue.prototype, "tag_items", void 0);
exports.TagValue = TagValue = __decorate([
    (0, typeorm_1.Entity)({ name: 'tag_values', synchronize: false })
], TagValue);
//# sourceMappingURL=tagValue.entity.js.map