"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagValueItem = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const objectItem_entity_1 = require("./objectItem.entity");
const tagValue_entity_1 = require("./tagValue.entity");
let TagValueItem = class TagValueItem {
    static _OPENAPI_METADATA_FACTORY() {
        return { tag_value_item_id: { required: true, type: () => String }, item_id: { required: true, type: () => String }, _item: { required: false, type: () => require("./objectItem.entity").ObjectItem }, tag_value_id: { required: true, type: () => String }, tagValue: { required: false, type: () => require("./tagValue.entity").TagValue }, createdAt: { required: false, type: () => String } };
    }
};
exports.TagValueItem = TagValueItem;
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    __metadata("design:type", String)
], TagValueItem.prototype, "tag_value_item_id", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TagValueItem.prototype, "item_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => objectItem_entity_1.ObjectItem, (objectItem) => objectItem.tag_value_items, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'item_id' }),
    __metadata("design:type", objectItem_entity_1.ObjectItem)
], TagValueItem.prototype, "_item", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TagValueItem.prototype, "tag_value_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => tagValue_entity_1.TagValue, (tagValue) => tagValue.tag_value_id, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'tag_value_id' }),
    __metadata("design:type", tagValue_entity_1.TagValue)
], TagValueItem.prototype, "tagValue", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ name: 'created_at', type: 'timestamp with time zone' }),
    __metadata("design:type", String)
], TagValueItem.prototype, "createdAt", void 0);
exports.TagValueItem = TagValueItem = __decorate([
    (0, typeorm_1.Entity)({ name: 'tag_value_items', synchronize: false })
], TagValueItem);
//# sourceMappingURL=tagValueItem.entity.js.map