"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserApiKey = void 0;
const openapi = require("@nestjs/swagger");
const typeorm_1 = require("typeorm");
const user_entity_1 = require("./user.entity");
let UserApiKey = class UserApiKey {
    static _OPENAPI_METADATA_FACTORY() {
        return { api_key: { required: true, type: () => String }, user_id: { required: true, type: () => Number }, label: { required: true, type: () => String }, isTemporary: { required: true, type: () => Boolean }, _user: { required: false, type: () => require("./user.entity").User }, expiration: { required: false, type: () => String }, created: { required: false, type: () => String } };
    }
};
exports.UserApiKey = UserApiKey;
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", String)
], UserApiKey.prototype, "api_key", void 0);
__decorate([
    (0, typeorm_1.PrimaryColumn)(),
    __metadata("design:type", Number)
], UserApiKey.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: "unlabeled",
        nullable: true
    }),
    __metadata("design:type", String)
], UserApiKey.prototype, "label", void 0);
__decorate([
    (0, typeorm_1.Column)({
        default: true
    }),
    __metadata("design:type", Boolean)
], UserApiKey.prototype, "isTemporary", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.User, (user) => user.apiKeys, { cascade: true, onDelete: 'CASCADE' }),
    (0, typeorm_1.JoinColumn)({ name: 'user_id' }),
    __metadata("design:type", user_entity_1.User)
], UserApiKey.prototype, "_user", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'timestamp with time zone', name: 'expiration_at' }),
    __metadata("design:type", String)
], UserApiKey.prototype, "expiration", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: 'timestamp with time zone', name: 'created_at' }),
    __metadata("design:type", String)
], UserApiKey.prototype, "created", void 0);
exports.UserApiKey = UserApiKey = __decorate([
    (0, typeorm_1.Entity)({ name: 'user_api_keys', synchronize: false })
], UserApiKey);
//# sourceMappingURL=userApiKey.entity.js.map