"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpsMiddleware = void 0;
const common_1 = require("@nestjs/common");
let HttpsMiddleware = class HttpsMiddleware {
    constructor() { }
    async use(req, res, next) {
        if (!req.secure) {
            const httpsUrl = `https://${req.hostname}:${req.originalUrl}`;
            res.redirect(common_1.HttpStatus.PERMANENT_REDIRECT, httpsUrl);
        }
        else {
            next();
        }
    }
};
exports.HttpsMiddleware = HttpsMiddleware;
exports.HttpsMiddleware = HttpsMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [])
], HttpsMiddleware);
//# sourceMappingURL=https.middleware.js.map