"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupCustomGroup1716965788574 = void 0;
class GroupCustomGroup1716965788574 {
    constructor() {
        this.name = 'GroupCustomGroup1716965788574';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      ALTER TABLE public.custom_group_folders ADD group_id int4;
      ALTER TABLE public.custom_group_folders ADD CONSTRAINT "FK_f158ba7276802eac7773847dc72" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;

      ALTER TABLE public.custom_groups ADD group_id int4;
      ALTER TABLE public.custom_groups ADD CONSTRAINT "FK_39aa30dd755e6d8435dc80f7c93" FOREIGN KEY (group_id) REFERENCES public."groups"(group_id) ON DELETE CASCADE;
    `);
    }
    async down(queryRunner) {
        await queryRunner.query(`
      DELETE FROM public.custom_groups WHERE group_id IS NOT NULL;
      DELETE FROM public.custom_group_folders WHERE group_id IS NOT NULL;

      ALTER TABLE public.custom_group_folders DROP COLUMN group_id;
      ALTER TABLE public.custom_groups DROP COLUMN group_id;
    `);
    }
}
exports.GroupCustomGroup1716965788574 = GroupCustomGroup1716965788574;
//# sourceMappingURL=1716965788574-GroupCustomGroup.migration.js.map