"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleDBRecovery1717418560000 = void 0;
const DatabaseHelper_1 = require("../../config/DatabaseHelper");
class OracleDBRecovery1717418560000 {
    constructor() {
        this.name = 'OracleDBRecovery1717418560000';
    }
    async up(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oracledb_instance', 'tmp0', 'recoveryused', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oracledb_instance', 'tmp1', 'recoverysize', queryRunner);
    }
    async down(queryRunner) {
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oracledb_instance', 'recoveryused', 'tmp0', queryRunner);
        await DatabaseHelper_1.DatabaseHelper.renamePerfColumn('metrics_oracledb_instance', 'recoverysize', 'tmp1', queryRunner);
    }
}
exports.OracleDBRecovery1717418560000 = OracleDBRecovery1717418560000;
//# sourceMappingURL=1717418560000-OracleDBRecovery.migration.js.map