"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serverGroupAddHwType1717763264009 = void 0;
const typeorm_1 = require("typeorm");
class serverGroupAddHwType1717763264009 {
    constructor() {
        this.name = 'server_group_add_hw_type1717763264009';
    }
    async up(queryRunner) {
        await queryRunner.addColumn("server_group", new typeorm_1.TableColumn({
            name: "hw_type",
            type: "varchar",
            default: "'linux'",
            isNullable: true
        }));
        await queryRunner.query("ALTER TABLE public.server_group ADD CONSTRAINT FK_f158ba7276802eac7773847dc72 FOREIGN KEY (hw_type) REFERENCES public.hw_types(hw_type) ON DELETE CASCADE");
    }
    async down(queryRunner) {
        await queryRunner.query("ALTER TABLE public.server_group DROP CONSTRAINT FK_f158ba7276802eac7773847dc72 FOREIGN KEY (hw_type) REFERENCES public.hw_types(hw_type) ON DELETE CASCADE");
        await queryRunner.dropColumn("server_group", "hw_type");
    }
}
exports.serverGroupAddHwType1717763264009 = serverGroupAddHwType1717763264009;
//# sourceMappingURL=1717763264009-serverGroupAddHwType.migration.js.map