"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostCfgProtoLowerCase1721736671468 = void 0;
class HostCfgProtoLowerCase1721736671468 {
    constructor() {
        this.name = 'HostCfgProtoLowerCase1721736671468';
    }
    async up(queryRunner) {
        const keys = await queryRunner.query(`SELECT DISTINCT KEY FROM hostcfg, LATERAL jsonb_each_text(data) WHERE lower(KEY) LIKE '%proto';`);
        for (const proto of keys) {
            await queryRunner.query(`UPDATE hostcfg SET "data" = jsonb_set("data",'{${proto.key}}', to_jsonb(lower("data"->>'${proto.key}')), FALSE) WHERE "data"->>'${proto.key}' IS NOT NULL;`);
        }
    }
    async down(queryRunner) {
    }
}
exports.HostCfgProtoLowerCase1721736671468 = HostCfgProtoLowerCase1721736671468;
//# sourceMappingURL=1721736671468-HostCfgProtoLowerCase.migration.js.map