"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskQueue1723634381663 = void 0;
class TaskQueue1723634381663 {
    constructor() {
        this.name = 'TaskQueue1723634381663';
    }
    async up(queryRunner) {
        await queryRunner.query(`
      CREATE SCHEMA queue
        CREATE TABLE task_queue (
          id BIGSERIAL PRIMARY KEY,
          type VARCHAR(255) NOT NULL,
          payload JSONB NULL,
          status VARCHAR(50) NOT NULL,
          number_of_items INTEGER NULL,
          priority INTEGER NOT NULL DEFAULT 0,
          created_at TIMESTAMP WITH TIME ZONE DEFAULT CURRENT_TIMESTAMP,
          scheduled_for TIMESTAMP WITH TIME ZONE NULL,
          started_at TIMESTAMP WITH TIME ZONE NULL,
          completed_at TIMESTAMP WITH TIME ZONE NULL
      );
    `);
        await queryRunner.query("CREATE INDEX idx_scheduled_for ON queue.task_queue(scheduled_for);");
    }
    async down(queryRunner) {
        await queryRunner.query("DROP SCHEMA queue CASCADE;");
    }
}
exports.TaskQueue1723634381663 = TaskQueue1723634381663;
//# sourceMappingURL=1723634381663-TaskQueue.migration.js.map