"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArchitectureModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const class_entity_1 = require("../../entity/class.entity");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const hwType_entity_1 = require("../../entity/hwType.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const subsystem_entity_1 = require("../../entity/subsystem.entity");
const user_entity_1 = require("../../entity/user.entity");
const architecture_controller_1 = require("./architecture.controller");
const architecture_service_1 = require("./architecture.service");
const alias_service_1 = require("./alias.service");
const agentMapping_entity_1 = require("../../entity/agentMapping.entity");
let ArchitectureModule = class ArchitectureModule {
};
exports.ArchitectureModule = ArchitectureModule;
exports.ArchitectureModule = ArchitectureModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([objectItem_entity_1.ObjectItem, hostcfg_entity_1.HostCfg, class_entity_1.Class, hwType_entity_1.HwType, subsystem_entity_1.Subsystem, user_entity_1.User, agentMapping_entity_1.AgentMapping])],
        controllers: [architecture_controller_1.ArchitectureController],
        providers: [architecture_service_1.ArchitectureService, alias_service_1.AliasService],
        exports: [typeorm_1.TypeOrmModule, architecture_service_1.ArchitectureService]
    })
], ArchitectureModule);
//# sourceMappingURL=architecture.module.js.map