import { Repository } from "typeorm";
import { ObjectItem } from "@xormon/entity/objectItem.entity";
export declare class FabricService {
    private objectItemsRepository;
    constructor(objectItemsRepository: Repository<ObjectItem>);
    getFabric(itemId: string): Promise<ObjectItem>;
    getFabrics(): Promise<ObjectItem[]>;
    saveFabric(fabric: Partial<ObjectItem>): Promise<ObjectItem>;
    deleteFabric(itemId: string): Promise<boolean>;
}
