import { ChartType, Page } from '@xormon/common/pageResponse.dto';
import { StorPage, StorSubsystemFolder } from './Stor';
export declare class PowerflexSystemioPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemdataPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemlatencyPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemcachePage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemreplicationPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemcapacityPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemrebuildPage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemrebalancePage extends StorPage {
    title: string;
    itemId: string;
    constructor(itemId: string);
    getPage(): Promise<Page>;
}
export declare class PowerflexSystemFolder extends StorSubsystemFolder {
    constructor(itemId: string);
    getChildren(): Promise<any[]>;
}
export declare class PowerflexMetrics {
    static Metric: {
        new (subsystem: string, metric: string): {
            getGraph(type: ChartType, stacked?: boolean, order?: number, color?: string): any;
            type: ChartType;
            stacked: boolean;
            metric: string;
            order: number;
            aggregate?: import("@xormon/common/pageResponse.dto").MetricAggregate;
            unit: import("../../../common/subsystemMetricsResponse.dto").Unit;
            unitLabel?: string;
            shortcut: string;
            label?: string;
            color?: string;
            defaultPrefix?: import("@xormon/common/pageResponse.dto").UnitPrefix;
            defaultPrecision?: number;
            minY?: number;
            legendTop?: boolean;
            legendOnly?: boolean;
        };
    };
}
