import { OnGatewayConnection, OnGatewayDisconnect, OnGatewayInit, WsResponse } from '@nestjs/websockets';
import { WebsocketMessage } from '@xormon/common/websocketMessage.dto';
import { Server } from 'ws';
export declare class MessagesGateway implements OnGatewayConnection, OnGatewayDisconnect, OnGatewayInit {
    server: Server;
    private wsClients;
    afterInit(): void;
    handleWebsocketMessageEvent(payload: WebsocketMessage): void;
    handleConnection(client: any): void;
    handleDisconnect(client: any): void;
    private broadcast;
    handleEvent(data: unknown): WsResponse<unknown>;
}
