"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricsModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const itemProperty_entity_1 = require("../../entity/itemProperty.entity");
const objectItem_entity_1 = require("../../entity/objectItem.entity");
const user_entity_1 = require("../../entity/user.entity");
const metrics_controller_1 = require("./metrics.controller");
const metrics_service_1 = require("./metrics.service");
const metricsTable_service_1 = require("./metricsTable.service");
const aggregation_entity_1 = require("../../entity/aggregation.entity");
let MetricsModule = class MetricsModule {
};
exports.MetricsModule = MetricsModule;
exports.MetricsModule = MetricsModule = __decorate([
    (0, common_1.Module)({
        imports: [config_1.ConfigModule.forRoot({ isGlobal: true }), typeorm_1.TypeOrmModule.forFeature([itemProperty_entity_1.ItemProperty, objectItem_entity_1.ObjectItem, hostcfg_entity_1.HostCfg, user_entity_1.User, aggregation_entity_1.Aggregation])],
        controllers: [metrics_controller_1.MetricsController],
        providers: [metrics_service_1.MetricsService, metricsTable_service_1.MetricsTableService],
        exports: [metricsTable_service_1.MetricsTableService],
    })
], MetricsModule);
//# sourceMappingURL=metrics.module.js.map