"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceDataService = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const microserviceData_entity_1 = require("../../entity/microserviceData.entity");
const typeorm_2 = require("typeorm");
let MicroserviceDataService = class MicroserviceDataService {
    constructor(microservicesDataRepository) {
        this.microservicesDataRepository = microservicesDataRepository;
    }
    async saveMicroserviceData(data) {
        try {
            await this.microservicesDataRepository.save(data);
        }
        catch (e) {
            console.error(e);
            return false;
        }
        return true;
    }
    async getMicroserviceData(ms, hostcfg_id) {
        return this.microservicesDataRepository.findOneBy({ microservice: ms, hostcfg_id: hostcfg_id });
    }
};
exports.MicroserviceDataService = MicroserviceDataService;
exports.MicroserviceDataService = MicroserviceDataService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, typeorm_1.InjectRepository)(microserviceData_entity_1.MicroserviceData)),
    __metadata("design:paramtypes", [typeorm_2.Repository])
], MicroserviceDataService);
//# sourceMappingURL=microserviceData.service.js.map