import { MicroserviceJob } from "@xormon/entity/microserviceJobs.entity";
import { Repository } from "typeorm";
type MicroserviceJobType = {
    microservice: string;
    job: string;
    interval: number;
};
export declare class MicroserviceJobIntervalService {
    private microservicesJobsRepository;
    constructor(microservicesJobsRepository: Repository<MicroserviceJob>);
    updateInterval(microservice: string, job: string, interval: number): Promise<boolean>;
    resetInterval(microserviceJob: MicroserviceJobType): Promise<boolean>;
}
export {};
