"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroservicesModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const typeorm_1 = require("@nestjs/typeorm");
const backend_entity_1 = require("../../entity/backend.entity");
const hostcfg_entity_1 = require("../../entity/hostcfg.entity");
const microservice_entity_1 = require("../../entity/microservice.entity");
const microserviceJobs_entity_1 = require("../../entity/microserviceJobs.entity");
const microserviceJobsStatus_entity_1 = require("../../entity/microserviceJobsStatus.entity");
const microservice_gateway_1 = require("./microservice.gateway");
const microserviceJobInterval_service_1 = require("./microserviceJobInterval.service");
const microservices_controller_1 = require("./microservices.controller");
const microservices_service_1 = require("./microservices.service");
const microserviceData_service_1 = require("./microserviceData.service");
const microserviceData_entity_1 = require("../../entity/microserviceData.entity");
const microserviceVariables_entity_1 = require("../../entity/microserviceVariables.entity");
let MicroservicesModule = class MicroservicesModule {
};
exports.MicroservicesModule = MicroservicesModule;
exports.MicroservicesModule = MicroservicesModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({ isGlobal: true }),
            typeorm_1.TypeOrmModule.forFeature([microservice_entity_1.Microservice, hostcfg_entity_1.HostCfg, backend_entity_1.Backend, microserviceJobsStatus_entity_1.MicroserviceJobStatus, microserviceJobs_entity_1.MicroserviceJob, microserviceData_entity_1.MicroserviceData, microserviceVariables_entity_1.MicroserviceVariables]),
        ],
        controllers: [microservices_controller_1.MicroservicesController],
        providers: [
            microservices_service_1.MicroservicesService,
            microservice_gateway_1.MicroservicesGateway,
            microserviceJobInterval_service_1.MicroserviceJobIntervalService,
            microserviceData_service_1.MicroserviceDataService
        ],
        exports: [typeorm_1.TypeOrmModule],
    })
], MicroservicesModule);
//# sourceMappingURL=microservices.module.js.map