import { GraphData } from "./GraphData";
export declare class GraphDataFactory {
    private static calculateGraphDataInterval;
    private static getMetricClass;
    private static fetchObjectItems;
    static fillGraphData(graphData: GraphData): Promise<GraphData>;
    static makeVegaData(graphData: GraphData, singleItem?: {
        uuid: string;
        label: string;
    }): object;
    static getGraphImageData(graphData: GraphData, singleItem?: {
        uuid: string;
        label: string;
    }): Promise<string>;
}
