import { SearchItemResponseDTO } from '@xormon/common/searchResponse.dto';
import { RecentlySearchedResponseDTO } from '@xormon/common/recentlySearched.dto';
export declare class SearchController {
    constructor();
    searchAllItem(page?: number, limit?: number): Promise<SearchItemResponseDTO>;
    searchItem(search: string, page?: number, limit?: number): Promise<SearchItemResponseDTO>;
    getAllRecentlySearched(user_id: string, limit?: number): Promise<RecentlySearchedResponseDTO>;
    addRecentlySearched(user_id: string, search_query: string): Promise<RecentlySearchedResponseDTO>;
    deleteRecentlySearched(user_id: string, search_query: string): Promise<RecentlySearchedResponseDTO>;
    deleteRecentlySearchedId(recent_search_id: string): Promise<RecentlySearchedResponseDTO>;
    deleteAllRecentlySearched(): Promise<RecentlySearchedResponseDTO>;
}
